<?php
require "config.php";

if (basename($_SERVER['SCRIPT_NAME']) != 'paypal-ipn.php') {
  $_GET  = filter_input_array(INPUT_GET, FILTER_SANITIZE_SPECIAL_CHARS);
  $_POST = filter_input_array(INPUT_POST, FILTER_SANITIZE_SPECIAL_CHARS);
}

function percent($num_amount, $num_total)
{
    @$count1 = $num_amount / $num_total;
    $count2 = $count1 * 100;
    $count  = number_format($count2, 0);
    return $count;
}

function emoticons($text)
{
    $icons = array(
        ':)' => '🙂',
        ':-)' => '🙂',
        ':}' => '🙂',
        ':D' => '😀',
        ':d' => '😁',
        ':-D ' => '😂',
        ';D' => '😂',
        ';d' => '😂',
        ';)' => '😉',
        ';-)' => '😉',
        ':P' => '😛',
        ':-P' => '😛',
        ':-p' => '😛',
        ':p' => '😛',
        ':-b' => '😛',
        ':-Þ' => '😛',
        ':(' => '🙁',
        ';(' => '😓',
        ':\'(' => '😓',
        ':o' => '😮',
        ':O' => '😮',
        ':0' => '😮',
        ':-O' => '😮',
        ':|' => '😐',
        ':-|' => '😐',
        ' :/' => ' 😕',
        ':-/' => '😕',
        ':X' => '😷',
        ':x' => '😷',
        ':-X' => '😷',
        ':-x' => '😷',
        '8)' => '😎',
        '8-)' => '😎',
        'B-)' => '😎',
        ':3' => '😊',
        '^^' => '😊',
        '^_^' => '😊',
        '<3' => '😍',
        ':*' => '😘',
        'O:)' => '😇',
        '3:)' => '😈',
        'o.O' => '😵',
        'O_o' => '😵',
        'O_O' => '😵',
        'o_o' => '😵',
        '0_o' => '😵',
        'T_T' => '😵',
        '-_-' => '😑',
        '>:O' => '😆',
        '><' => '😆',
        '>:(' => '😣',
        ':v' => '🙃',
        '(y)' => '👍',
        ':poop:' => '💩',
        ':|]' => '🤖'
    );
    return strtr($text, $icons);
}

if (isset($_SESSION['username'])) {
    $uname = $_SESSION['username'];
    $suser = mysqli_query($mysqli, "SELECT * FROM `players` WHERE username='$uname'");
    $rowu  = mysqli_fetch_assoc($suser);
    $count = mysqli_num_rows($suser);
    if ($count <= 0) {
        exit;
    }
	
$query = mysqli_query($mysqli, "SELECT * FROM `settings` WHERE id='1' LIMIT 1");
$row   = mysqli_fetch_assoc($query);
?>

<div id="stats">
	<h6><i class="far fa-money-bill-alt"></i> Money: <span class="badge bg-success"><?php
    echo $rowu['money'];
?></span></h6>
    <h6><i class="fa fa-inbox"></i> Gold: <span class="badge bg-warning text-dark"><?php
    echo $rowu['gold'];
?></span></h6>
    <h6><i class="fa fa-server"></i> Level: <span class="badge bg-secondary"><?php
    echo $rowu['level'];
?></span></h6>
    <h6><i class="fa fa-star"></i> Respect: <span class="badge bg-primary"><?php
    echo $rowu['respect'];
?></span></h6>
</div>

<div id="stats2">
	<div class="row">
        <div class="col-lg-6">
            <h6><i class="fa fa-heart"></i> Health</h6>
            <div class="progress">
                <div class="progress-bar progress-bar-striped progress-bar-animated bg-success" style="width: <?php
    echo percent($rowu['health'], 100);
?>%;">
					<?php
    echo $rowu['health'];
?> / 100
                </div>
            </div>
        </div>
        <div class="col-lg-6">
            <h6><i class="fa fa-bolt"></i> Energy</h6>
            <div class="progress mb-3">
                <div class="progress-bar progress-bar-striped progress-bar-animated" style="width: <?php
    echo percent($rowu['energy'], 100);
?>%;">
                    <?php
    echo $rowu['energy'];
?> / 100
                </div>
            </div>
        </div>
	</div>
</div>

<div id="skills">
	<center><h6>Character's Skills</h6></center><hr />
    <h6><i class="fa fa-child"></i> Power</h6>
    <div class="progress mb-3">
        <div class="progress-bar progress-bar-striped bg-warning" style="width: <?php
    echo percent($rowu['power'], $row['max_power']);
?>%;">
			<span><?php
    echo $rowu['power'];
?> / <?php
    echo $row['max_power'];
?></span>
							</div>
						</div>
						<h6><i class="fa fa-retweet"></i> Agility</h6>
						<div class="progress mb-3">
							<div class="progress-bar progress-bar-striped bg-danger" style="width: <?php
    echo percent($rowu['agility'], $row['max_agility']);
?>%;">
			<span><?php
    echo $rowu['agility'];
?> / <?php
    echo $row['max_agility'];
?></span>
							</div>
						</div>
						<h6><i class="fa fa-heartbeat"></i> Endurance</h6>
						<div class="progress mb-3">
							<div class="progress-bar progress-bar-striped bg-success" style="width: <?php
    echo percent($rowu['endurance'], $row['max_endurance']);
?>%;">
								<span><?php
    echo $rowu['endurance'];
?> / <?php
    echo $row['max_endurance'];
?></span>
							</div>
						</div>
						<h6><i class="fab fa-usb"></i> Intelligence</h6>
						<div class="progress mb-3">
							<div class="progress-bar progress-bar-striped bg-info" style="width: <?php
    echo percent($rowu['intelligence'], $row['max_intelligence']);
?>%;">
								<span><?php
    echo $rowu['intelligence'];
?> / <?php
    echo $row['max_intelligence'];
?></span>
        </div>
    </div>
</div>

<div id="chat">
<?php
    $gtday   = date("d");
    $gtmonth = date("n");
    $gtyear  = date("Y");

    $gthour   = date("H");
    $gtminute = date("i");

    $querygc = mysqli_query($mysqli, "SELECT * FROM `global_chat` ORDER BY id DESC LIMIT 15");
    while ($rowgc = mysqli_fetch_assoc($querygc)) {
        $author_id = $rowgc['player_id'];
        $querygcp  = mysqli_query($mysqli, "SELECT * FROM `players` WHERE id='$author_id' LIMIT 1");
        $rowgcp    = mysqli_fetch_assoc($querygcp);
?>
        <div class="card">
            <div class="card-header">
                <img src="<?php
        echo $rowgcp['avatar'];
?>" width="8%">&nbsp;&nbsp;<strong><a href="player.php?id=<?php
        echo $author_id;
?>"><?php
        echo $rowgcp['username'];
?></a></strong>
<?php
        if ($rowgc['player_id'] == $rowu['id'] OR $rowu['role'] == 'Admin') {
?>
				<a href="?delchat_id=<?php
            echo $rowgc['id'];
?>" class="btn btn-danger btn-sm float-end" title="Delete"><i class="fa fa-trash"></i></a>
<?php
        }
?>
            </div>
            <div class="card-body"><?php
        echo emoticons($rowgc['message']);
?></div>
            <div class="card-footer">
                <i><i class="fas fa-clock"></i>
<?php
        $mgetdate = date_parse_from_format("d F Y", $rowgc['date']);
        $mgettime = date_parse_from_format("H:i", $rowgc['time']);
        $mday     = $mgetdate["day"];
        $mmonth   = $mgetdate["month"];
        $myear    = $mgetdate["year"];
        $mhour    = $mgettime["hour"];
        $mminute  = $mgettime["minute"];

        if ($myear != $gtyear) {
            $d_year = $gtyear - $myear;
            if ($d_year == 1) {
                $gsymbol = '';
            } else {
                $gsymbol = 's';
            }
            echo '' . $d_year . ' year' . $gsymbol . ' ago';
        } else {
            if ($mmonth != $gtmonth) {
                $d_month = $gtmonth - $mmonth;
                if ($d_month == 1) {
                    $gsymbol = '';
                } else {
                    $gsymbol = 's';
                }
                echo '' . $d_month . ' month' . $gsymbol . ' ago';
            } else {
                if ($mday != $gtday) {
                    $d_day = $gtday - $mday;
                    if ($d_day == 1) {
                        $gsymbol = '';
                    } else {
                        $gsymbol = 's';
                    }
                    echo '' . $d_day . ' day' . $gsymbol . ' ago';
                } else {
                    if ($mhour != $gthour) {
                        $d_hour = $gthour - $mhour;
                        if ($d_hour == 1) {
                            $gsymbol = '';
                        } else {
                            $gsymbol = 's';
                        }
                        echo '' . $d_hour . ' hour' . $gsymbol . ' ago';
                    } else {
                        if ($mminute != $gtminute) {
                            $d_minute = $gtminute - $mminute;
                            if ($d_minute == 1) {
                                $gsymbol = '';
                            } else {
                                $gsymbol = 's';
                            }
                            echo '' . $d_minute . ' minute' . $gsymbol . ' ago';
                        } else {
                            echo 'Just Now';
                        }
                    }
                }
            }
        }

?></i>
            </div>
        </div><br />
<?php
    }
?>
</div>

<?php
    $timeon  = time() - 60;
    $queryop = mysqli_query($mysqli, "SELECT * FROM `players` WHERE timeonline > $timeon");
    $countop = mysqli_num_rows($queryop);
?>
        <div id="online">
            <a href="leaderboard.php?tab=onlineplayers" class="btn btn-sm btn-success col-12 float-end">
				<i class="fa fa-users"></i> Online <span class="badge bg-info"><?php
    echo $countop;
?></span>
			</a>
        </div>

<?php
    //Global Chat - Message Insert
    if ($_SERVER["REQUEST_METHOD"] == "POST") {
        $chat_message = $_POST['chatmessage'];
        $player_id    = $rowu['id'];
        $date         = date('d F Y');
        $time         = date('H:i');

        $querygcm = mysqli_query($mysqli, "SELECT * FROM `global_chat` WHERE player_id='$player_id' AND message='$chat_message' AND date='$date' LIMIT 1");
        $countgcm = mysqli_num_rows($querygcm);
        if ($countgcm == 0 && $chat_message != "") {
            $post_gcmessage = mysqli_query($mysqli, "INSERT INTO `global_chat` (player_id, message, date, time) VALUES ('$player_id', '$chat_message', '$date', '$time')");
        }
    }

}
?>