<?php
require "config.php";

if (basename($_SERVER['SCRIPT_NAME']) != 'paypal-ipn.php') {
    $_GET  = filter_input_array(INPUT_GET, FILTER_SANITIZE_SPECIAL_CHARS);
    $_POST = filter_input_array(INPUT_POST, FILTER_SANITIZE_SPECIAL_CHARS);
}

if (basename($_SERVER['SCRIPT_NAME']) != 'paypal-ipn.php' AND basename($_SERVER['SCRIPT_NAME']) != 'page.php') {
    if (isset($_SESSION['username'])) {
        $uname = $_SESSION['username'];
        $suser = mysqli_query($mysqli, "SELECT * FROM `players` WHERE username='$uname'");
        $rowu  = mysqli_fetch_assoc($suser);
        $count = mysqli_num_rows($suser);
		
        if ($count <= 0 OR $rowu['role'] == "Banned") {
            echo '<meta http-equiv="refresh" content="0; url=index.php" />';
            exit;
        }
    } else {
        echo '<meta http-equiv="refresh" content="0; url=index.php" />';
        exit;
    }
}

if (isset($_GET['delchat_id'])) {
    $id        = (int) $_GET["delchat_id"];
	
    $querychd  = mysqli_query($mysqli, "SELECT * FROM `global_chat` WHERE id='$id'");
    $rowchd    = mysqli_fetch_assoc($querychd);
    $author_id = $rowchd['player_id'];
	
    $countchd  = mysqli_num_rows($querychd);
    if ($countchd > 0 && ($rowu['id'] == $author_id || $rowu['role'] == 'Admin')) {
        $query = mysqli_query($mysqli, "DELETE FROM `global_chat` WHERE id='$id'");
    }
}

function percent($num_amount, $num_total)
{
    @$count1 = $num_amount / $num_total;
    $count2 = $count1 * 100;
    $count  = number_format($count2, 0);
    return $count;
}

function secondsToWords($seconds)
{
    $ret = "";
    
    //Days
    $mdays = intval(intval($seconds) / (3600 * 24));
    if ($mdays > 0) {
        $ret .= "$mdays days ";
    }
    
    //Hours
    $mhours = (intval($seconds) / 3600) % 24;
    if ($mhours > 0) {
        $ret .= "$mhours hours ";
    }
    
    //Minutes
    $mminutes = (intval($seconds) / 60) % 60;
    if ($mminutes > 0) {
        $ret .= "$mminutes minutes ";
    }
    
    /*
    //Seconds
    $seconds = intval($seconds) % 60;
    if ($seconds > 0) {
    $ret .= "$seconds seconds";
    }*/
    
    return $ret;
}

function emoticons($text)
{
    $icons = array(
        ':)' => '🙂',
        ':-)' => '🙂',
        ':}' => '🙂',
        ':D' => '😀',
        ':d' => '😁',
        ':-D ' => '😂',
        ';D' => '😂',
        ';d' => '😂',
        ';)' => '😉',
        ';-)' => '😉',
        ':P' => '😛',
        ':-P' => '😛',
        ':-p' => '😛',
        ':p' => '😛',
        ':-b' => '😛',
        ':-Þ' => '😛',
        ':(' => '🙁',
        ';(' => '😓',
        ':\'(' => '😓',
        ':o' => '😮',
        ':O' => '😮',
        ':0' => '😮',
        ':-O' => '😮',
        ':|' => '😐',
        ':-|' => '😐',
        ' :/' => ' 😕',
        ':-/' => '😕',
        ':X' => '😷',
        ':x' => '😷',
        ':-X' => '😷',
        ':-x' => '😷',
        '8)' => '😎',
        '8-)' => '😎',
        'B-)' => '😎',
        ':3' => '😊',
        '^^' => '😊',
        '^_^' => '😊',
        '<3' => '😍',
        ':*' => '😘',
        'O:)' => '😇',
        '3:)' => '😈',
        'o.O' => '😵',
        'O_o' => '😵',
        'O_O' => '😵',
        'o_o' => '😵',
        '0_o' => '😵',
        'T_T' => '😵',
        '-_-' => '😑',
        '>:O' => '😆',
        '><' => '😆',
        '>:(' => '😣',
        ':v' => '🙃',
        '(y)' => '👍',
        ':poop:' => '💩',
        ':|]' => '🤖'
    );
    return strtr($text, $icons);
}

function headind()
{
    require "config.php";
    
    $query = mysqli_query($mysqli, "SELECT * FROM `settings` WHERE id='1' LIMIT 1");
    $row   = mysqli_fetch_assoc($query);
	
	$deftheme_id = $row['default_themeid'];
    
    $querytd = mysqli_query($mysqli, "SELECT * FROM `themes` WHERE id='$deftheme_id' LIMIT 1");
    $rowtd   = mysqli_fetch_assoc($querytd);
    if ($rowtd['navbar_colorscheme'] == 1) {
        $navbar_cscheme = 'navbar-dark bg-dark';
    } elseif ($rowtd['navbar_colorscheme'] == 2) {
        $navbar_cscheme = 'navbar-dark bg-primary';
    } elseif ($rowtd['navbar_colorscheme'] == 3) {
        $navbar_cscheme = 'navbar-light bg-light';
    } else {
        $navbar_cscheme = 'navbar-light';
    }
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <meta name="description" content="<?php
    echo $row['description'];
?>">
    <meta name="generator" content="vCity - Online Browser Game Platform" />
	<meta name="author" content="Antonov_WEB">
    <link rel="icon" href="assets/img/favicon.png">

    <title><?php
    echo $row['title'];
?></title>

    <!-- Bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
	
    <!-- Game CSS -->
    <link href="assets/css/game.css" rel="stylesheet">

    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v6.5.1/css/all.css">
</head>
<body>
	<nav class="navbar <?php
    echo $navbar_cscheme;
?>">
		<div class="container-fluid">
			<a class="navbar-brand" href="#"><i class="fa fa-building"></i> <i class="fa fa-car"></i> <i class="fa fa-users"></i> <?php
    echo $row['title'];
?></a>
            <div class="d-flex">
                <a href="index.php" class="btn btn-success">
					<i class="fas fa-arrow-alt-circle-left"></i> Back
				</a>
			</div>
		</div>
    </nav>
<?php
$runcp    = mysqli_query($mysqli, "SELECT * FROM `custom_pages` WHERE logged = 'No'");
$countcpg = mysqli_num_rows($runcp);
if ($countcpg > 0) {
?>
	<div class="nav-scroller bg-info shadow-sm">
		<nav class="nav nav-underline">
<?php
    $runcp = mysqli_query($mysqli, "SELECT * FROM `custom_pages` WHERE logged = 'No'");
    while ($rowcp = mysqli_fetch_assoc($runcp)) {
        echo '
		<li class="nav-item mx-auto">
			<a class="nav-link text-white" href="page.php?pageid=' . $rowcp['id'] . '">
				<i class="fas ' . $rowcp['fa_icon'] . '"></i> ' . $rowcp['title'] . '
			</a>
		</li>';
    }
?>
		</nav>
	</div>
<?php
}
?>
<br />

<?php
}

function head()
{
    require "config.php";
    
    $query = mysqli_query($mysqli, "SELECT * FROM `settings` WHERE id='1' LIMIT 1");
    $row   = mysqli_fetch_assoc($query);
    
    $uname     = $_SESSION['username'];
    $suser     = mysqli_query($mysqli, "SELECT * FROM `players` WHERE username='$uname'");
    $rowu      = mysqli_fetch_assoc($suser);
    $player_id = $rowu['id'];
    
    $querypc      = mysqli_query($mysqli, "SELECT character_id FROM `players` WHERE username='$uname' LIMIT 1");
    $rowpc        = mysqli_fetch_assoc($querypc);
    $character_id = $rowpc['character_id'];
    $queryc       = mysqli_query($mysqli, "SELECT * FROM `characters` WHERE id='$character_id' LIMIT 1");
    $countc       = mysqli_num_rows($queryc);
    $rowc         = mysqli_fetch_assoc($queryc);
    if ($countc == 0 && basename($_SERVER['SCRIPT_NAME']) != 'choose-character.php') {
        echo '<meta http-equiv="refresh" content="0; url=choose-character.php" />';
        exit;
    }
    if ($countc > 0 && basename($_SERVER['SCRIPT_NAME']) == 'choose-character.php') {
        echo '<meta http-equiv="refresh" content="0; url=home.php" />';
        exit;
    }
    
    //Set Online
    $timenow = time();
    $update  = mysqli_query($mysqli, "UPDATE `players` SET timeonline='$timenow' WHERE username='$uname'");
    
    //Level Up
    $playerrespect = $rowu['respect'];
    $playerlevel   = $rowu['level'];
    $querylv       = mysqli_query($mysqli, "SELECT * FROM `levels` WHERE level='$playerlevel'");
    $lvrow         = mysqli_fetch_assoc($querylv);
    $minrespect    = $lvrow['min_respect'];
    $queryblv      = mysqli_query($mysqli, "SELECT * FROM levels WHERE level='$playerlevel'+1");
    $rowblv        = mysqli_fetch_assoc($queryblv);
    $blevel        = $rowblv['level'];
    $bminrespect   = $rowblv['min_respect'];
    $queryllv      = mysqli_query($mysqli, "SELECT * FROM levels ORDER BY min_respect DESC LIMIT 1");
    $rowllv        = mysqli_fetch_assoc($queryllv);
    $llvminrespect = $rowllv['min_respect'];
    $llevel        = $rowllv['level'];
        
    if ($playerrespect > $llvminrespect) {
        $update = mysqli_query($mysqli, "UPDATE `players` SET level='$llevel' WHERE username='$uname'");
    } else {
            
        if ($playerrespect > $bminrespect OR $playerrespect == $bminrespect) {
            $update = mysqli_query($mysqli, "UPDATE `players` SET level='$blevel', energy='100', money=money+'1000', gold=gold+'2' WHERE username='$uname'");
        }
        if ($playerrespect < $minrespect) {
            $update = mysqli_query($mysqli, "UPDATE `players` SET level=level-1 WHERE username='$uname'");
        }  
    }

    $current_timestamp = time();
    
    // Cron jobs for energy refill (every 10 minutes)
    if($rowu['energy'] < 100) {
        $queryper = mysqli_query($mysqli, "SELECT * FROM `cron_energyrefill` WHERE type='refill10' AND pl_id = $player_id LIMIT 1");
        $countper = mysqli_num_rows($queryper);
        if ($countper <= 0) {
            
            mysqli_query($mysqli, "INSERT INTO `cron_energyrefill` (`pl_id`, `type`, `timestamp`) VALUES ('" . $player_id . "', 'refill10', '" . $current_timestamp . "');");
        } else {
            $rowper = mysqli_fetch_assoc($queryper);
        
            if ((time() - (100 * 60)) >= $rowper['timestamp']) {
                $userenergyrefill = mysqli_query($mysqli, "UPDATE `players` SET energy=energy+100 WHERE id='$player_id'");
                $update_pcron = mysqli_query($mysqli, "UPDATE `cron_energyrefill` SET timestamp='$current_timestamp' WHERE type='refill10' AND pl_id='$player_id'");
            
            } elseif ((time() - (90 * 60)) >= $rowper['timestamp']) {
                $userenergyrefill = mysqli_query($mysqli, "UPDATE `players` SET energy=energy+90 WHERE id='$player_id'");
                $update_pcron = mysqli_query($mysqli, "UPDATE `cron_energyrefill` SET timestamp='$current_timestamp' WHERE type='refill10' AND pl_id='$player_id'");
            
            } elseif ((time() - (80 * 60)) >= $rowper['timestamp']) {
                $userenergyrefill = mysqli_query($mysqli, "UPDATE `players` SET energy=energy+80 WHERE id='$player_id'");
                $update_pcron = mysqli_query($mysqli, "UPDATE `cron_energyrefill` SET timestamp='$current_timestamp' WHERE type='refill10' AND pl_id='$player_id'");
            
            } elseif ((time() - (70 * 60)) >= $rowper['timestamp']) {
                $userenergyrefill = mysqli_query($mysqli, "UPDATE `players` SET energy=energy+70 WHERE id='$player_id'");
                $update_pcron = mysqli_query($mysqli, "UPDATE `cron_energyrefill` SET timestamp='$current_timestamp' WHERE type='refill10' AND pl_id='$player_id'");
            
            } elseif ((time() - (60 * 60)) >= $rowper['timestamp']) {
                $userenergyrefill = mysqli_query($mysqli, "UPDATE `players` SET energy=energy+60 WHERE id='$player_id'");
                $update_pcron = mysqli_query($mysqli, "UPDATE `cron_energyrefill` SET timestamp='$current_timestamp' WHERE type='refill10' AND pl_id='$player_id'");
            
            } elseif ((time() - (50 * 60)) >= $rowper['timestamp']) {
                $userenergyrefill = mysqli_query($mysqli, "UPDATE `players` SET energy=energy+50 WHERE id='$player_id'");
                $update_pcron = mysqli_query($mysqli, "UPDATE `cron_energyrefill` SET timestamp='$current_timestamp' WHERE type='refill10' AND pl_id='$player_id'");
            
            } elseif ((time() - (40 * 60)) >= $rowper['timestamp']) {
                $userenergyrefill = mysqli_query($mysqli, "UPDATE `players` SET energy=energy+40 WHERE id='$player_id'");
                $update_pcron = mysqli_query($mysqli, "UPDATE `cron_energyrefill` SET timestamp='$current_timestamp' WHERE type='refill10' AND pl_id='$player_id'");
            
            } elseif ((time() - (30 * 60)) >= $rowper['timestamp']) {
                $userenergyrefill = mysqli_query($mysqli, "UPDATE `players` SET energy=energy+30 WHERE id='$player_id'");
                $update_pcron = mysqli_query($mysqli, "UPDATE `cron_energyrefill` SET timestamp='$current_timestamp' WHERE type='refill10' AND pl_id='$player_id'");
            
            } elseif ((time() - (20 * 60)) >= $rowper['timestamp']) {
                $userenergyrefill = mysqli_query($mysqli, "UPDATE `players` SET energy=energy+20 WHERE id='$player_id'");
                $update_pcron = mysqli_query($mysqli, "UPDATE `cron_energyrefill` SET timestamp='$current_timestamp' WHERE type='refill10' AND pl_id='$player_id'");
            
            } elseif ((time() - (10 * 60)) >= $rowper['timestamp']) {
                $userenergyrefill = mysqli_query($mysqli, "UPDATE `players` SET energy=energy+10 WHERE id='$player_id'");
                $update_pcron = mysqli_query($mysqli, "UPDATE `cron_energyrefill` SET timestamp='$current_timestamp' WHERE type='refill10' AND pl_id='$player_id'");

            }
        }
    }

    //Full Energy Refill for all players (by default every 24 hours)
    $queryfer = mysqli_query($mysqli, "SELECT * FROM `cron_energyrefill` WHERE type='full' LIMIT 1");
    $countfer = mysqli_num_rows($queryfer);
    if ($countfer <= 0) {
        mysqli_query($mysqli, "INSERT INTO `cron_energyrefill` (`type`, `timestamp`) VALUES ('full', '" . $current_timestamp . "');");
    } else {
        $rowfer            = mysqli_fetch_assoc($queryfer);
        $timestamp_24hours = time() - (24 * 60 * 60);
        
        if ($timestamp_24hours >= $rowfer['timestamp']) {

            $sqlusers = mysqli_query($mysqli, "SELECT id, energy FROM `players` WHERE energy < 100");
            while ($rowuser = mysqli_fetch_assoc($sqlusers)) {
                $userfullenergyrefill   = mysqli_query($mysqli, "UPDATE `players` SET energy='100' WHERE id='$rowuser[id]'");
                $userfullenergyrefillcr = mysqli_query($mysqli, "UPDATE `cron_energyrefill` SET timestamp='$current_timestamp' WHERE pl_id='$rowuser[id]' AND type='refill10'");
            }
            $update_fcron = mysqli_query($mysqli, "UPDATE `cron_energyrefill` SET timestamp='$current_timestamp' WHERE type='full'");
        }
    }
    
	$max_power        = $row['max_power'];
	$max_agility      = $row['max_agility'];
	$max_endurance    = $row['max_endurance'];
	$max_intelligence = $row['max_intelligence'];
	
    // Value fixes
    if ($rowu['money'] < 0) {
        $player_update = mysqli_query($mysqli, "UPDATE `players` SET money=0 WHERE username='$uname'");
    }
        
    if ($rowu['gold'] < 0) {
        $player_update = mysqli_query($mysqli, "UPDATE `players` SET gold=0 WHERE username='$uname'");
    }
        
    if ($rowu['energy'] < 0) {
        $player_update = mysqli_query($mysqli, "UPDATE `players` SET energy=0 WHERE username='$uname'");
    }
        
    if ($rowu['energy'] > 100) {
        $player_update = mysqli_query($mysqli, "UPDATE `players` SET energy=100 WHERE username='$uname'");
    }
        
    if ($rowu['health'] < 0) {
        $player_update = mysqli_query($mysqli, "UPDATE `players` SET health=0 WHERE username='$uname'");
    }
        
    if ($rowu['health'] > 100) {
        $player_update = mysqli_query($mysqli, "UPDATE `players` SET health=100 WHERE username='$uname'");
    }
        
    if ($rowu['respect'] < 0) {
        $player_update = mysqli_query($mysqli, "UPDATE `players` SET respect=0 WHERE username='$uname'");
    }
        
    if ($rowu['bank'] < 0) {
        $player_update = mysqli_query($mysqli, "UPDATE `players` SET bank=0 WHERE username='$uname'");
    }
        
    if ($rowu['power'] < 0) {
        $player_update = mysqli_query($mysqli, "UPDATE `players` SET power=0 WHERE username='$uname'");
    }
        
    if ($rowu['power'] > $max_power) {
        $player_update = mysqli_query($mysqli, "UPDATE `players` SET power='$max_power' WHERE username='$uname'");
    }
        
    if ($rowu['agility'] < 0) {
        $player_update = mysqli_query($mysqli, "UPDATE `players` SET agility=0 WHERE username='$uname'");
    }
        
    if ($rowu['agility'] > $max_agility) {
        $player_update = mysqli_query($mysqli, "UPDATE `players` SET agility='$max_agility' WHERE username='$uname'");
    }
        
    if ($rowu['endurance'] < 0) {
        $player_update = mysqli_query($mysqli, "UPDATE `players` SET endurance=0 WHERE username='$uname'");
    }
        
    if ($rowu['endurance'] > $max_endurance) {
        $player_update = mysqli_query($mysqli, "UPDATE `players` SET endurance='$max_endurance' WHERE username='$uname'");
    }
        
    if ($rowu['intelligence'] < 0) {
        $player_update = mysqli_query($mysqli, "UPDATE `players` SET intelligence=0 WHERE username='$uname'");
    }
        
    if ($rowu['intelligence'] > $max_intelligence) {
        $player_update = mysqli_query($mysqli, "UPDATE `players` SET intelligence='$max_intelligence' WHERE username='$uname'");
    }
    
    // Additional value fixes
    $sqlusers = mysqli_query($mysqli, "SELECT id, money, gold FROM `players` WHERE money < 0 OR gold < 0");
    while ($rowuser = mysqli_fetch_assoc($sqlusers)) {
        if ($rowuser['money'] < 0) {
            $fix = mysqli_query($mysqli, "UPDATE `players` SET money='0' WHERE id='$rowuser[id]'");
        }
        if ($rowuser['gold'] < 0) {
            $fix = mysqli_query($mysqli, "UPDATE `players` SET gold='0' WHERE id='$rowuser[id]'");
        }
    }
	
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <meta name="description" content="<?php
    echo $row['description'];
?>">
    <meta name="generator" content="vCity - Online Browser Game Platform" />
	<meta name="author" content="Antonov_WEB">
    <link rel="icon" href="assets/img/favicon.png">

    <title><?php
    echo $row['title'];
?></title>

    <!-- Bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
	
<?php
	$deftheme_id = $row['default_themeid'];
    
    $querytg = mysqli_query($mysqli, "SELECT * FROM `themes` WHERE id='$deftheme_id' LIMIT 1");
    $rowtg   = mysqli_fetch_assoc($querytg);
    if ($rowtg['navbar_colorscheme'] == 1) {
        $navbar_cscheme = 'navbar-dark bg-dark';
    } elseif ($rowtg['navbar_colorscheme'] == 2) {
        $navbar_cscheme = 'navbar-dark bg-primary';
    } elseif ($rowtg['navbar_colorscheme'] == 3) {
        $navbar_cscheme = 'navbar-light bg-light';
    } else {
        $navbar_cscheme = 'navbar-light';
    }
?>
    <!-- Skin -->
<?php
if($rowtg['name'] != "Bootstrap 5") {
    echo '
    <!-- Bootstrap 5 Theme -->
    <link href="https://bootswatch.com/5/'. strtolower($rowtg['name']) .'/bootstrap.min.css" type="text/css" rel="stylesheet"/>
';
}
?>

    <!-- Game CSS -->
    <link href="assets/css/game.css" rel="stylesheet">

    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v6.5.1/css/all.css">

    <!-- Right Sidebar - Chat -->
    <link href="assets/css/sidebar.css" rel="stylesheet">
	
<?php
    if (basename($_SERVER['SCRIPT_NAME']) == 'leaderboard.php' OR basename($_SERVER['SCRIPT_NAME']) == 'messages.php') {
        echo '
	<!-- DataTables -->
    <link href="https://cdn.datatables.net/v/bs5/dt-1.13.8/r-2.5.0/datatables.min.css" rel="stylesheet">';
    }
?>

<?php
    if (basename($_SERVER['SCRIPT_NAME']) == 'messages.php' OR basename($_SERVER['SCRIPT_NAME']) == 'donate-resources.php') {
        echo '
	<!-- Select2 -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" rel="stylesheet">
	<link href="https://cdn.jsdelivr.net/npm/select2-bootstrap-5-theme@1.3.0/dist/select2-bootstrap-5-theme.min.css" rel="stylesheet" />';
	}
?>

    <!-- jQuery -->
    <script src="https://code.jquery.com/jquery-3.7.1.min.js"
	integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo="
	crossorigin="anonymous"></script>
    
<?php
    if (basename($_SERVER['SCRIPT_NAME']) == 'travelling.php') {
        echo '
	<script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/1.20.4/TweenMax.min.js">';
    }
?>

<?php
    if (basename($_SERVER['SCRIPT_NAME']) == 'city-map.php') {
        echo '
	<!-- Image Map Resizer -->
	<script src="https://cdnjs.cloudflare.com/ajax/libs/image-map-resizer/1.0.10/js/imageMapResizer.min.js">';
    }
?>
	
<script>
setInterval(function () {
    $("#playerstats").load("ajax.php #stats");
    $("#playerstats2").load('ajax.php #stats2');
    $("#playerskills").load('ajax.php #skills');
    $("#globalchat").load('ajax.php #chat');
    $("#onlineplayers").load('ajax.php #online');
}, 1500);
</script>
	
</head>
<body>
<?php
// Daily Bonus
$current_date = date('d F Y');

if ($rowu['daily_bonus'] != $current_date) {
			
	$queryvfsc = mysqli_query($mysqli, "SELECT * FROM `vehicles` WHERE id='$vehiclefs_id' LIMIT 1");
	$rowvfsc   = mysqli_fetch_assoc($queryvfsc);
			
	$money_bonus = $row['dailybonus_money'];
	$gold_bonus  = $row['dailybonus_gold'];
			
	$claim_bonus = mysqli_query($mysqli, "UPDATE `players` SET money=money+'$money_bonus', gold=gold+'$gold_bonus', daily_bonus='$current_date' WHERE id='$player_id'");
			
	echo '
	<script type="text/javascript">
		$(document).ready(function() {
			$("#daily-bonus").modal(\'show\');
		});
	</script>
	
	<div id="daily-bonus" class="modal fade">
		<div class="modal-dialog modal-md">
			<div class="modal-content">
				<div class="modal-header">
					<h6 class="modal-title">Daily Bonus</h6> 
					<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				</div>
				<div class="modal-body">
					<center>
						<h5><span class="badge bg-info">You received daily reward</span></h5>
						<br /><br />
						<div class="row">
							<div class="col-md-6">
								<img src="images/icons/money.png" width="25%"><br />
								<h5>Money: <br /><hr /><span class="badge bg-secondary">+ ' . $money_bonus . '</span></h5>
							</div>
							<div class="col-md-6">
								<img src="images/icons/gold1.png" width="25%"><br />
								<h5>Gold: <br /><hr /><span class="badge bg-secondary">+ ' . $gold_bonus . '</span></h5>
							</div>
						</div>
						<button type="button" class="btn btn-success btn-md col-12 mt-3" data-bs-dismiss="modal" aria-hidden="true">
						<i class="fab fa-get-pocket"></i> Claim
						</button>
					</center>
				</div>
			</div>
		</div>
	</div>';
}
?>

    <center>
        <nav class="navbar <?php
    echo $navbar_cscheme;
?> navbar-expand-md">
            <div class="container-fluid">
				<a class="navbar-brand d-block d-sm-none" href="home.php"><?php
    echo $row['title'];
?></a>
				<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
					<i class="fas fa-bars"></i>
				</button>
                <div id="navbarCollapse" class="navbar-collapse collapse justify-content-md-center">
                    <ul class="nav navbar-nav">
                        <li class="nav-item"><a href="home.php" class="nav-link <?php
    if (basename($_SERVER['SCRIPT_NAME']) == 'home.php') {
        echo 'active';
    }
?>"><i class="fa fa-home fa-2x"></i><br /> Home</a></li>
                        <li class="nav-item"><a href="vehicles.php" class="nav-link <?php
    if (basename($_SERVER['SCRIPT_NAME']) == 'vehicles.php') {
        echo 'active';
    }
?>"><i class="fa fa-car fa-2x"></i><br /> Vehicles</span></a></li>
                        <li class="nav-item"><a href="properties.php" class="nav-link <?php
    if (basename($_SERVER['SCRIPT_NAME']) == 'properties.php') {
        echo 'active';
    }
?>"><i class="fa fa-building fa-2x"></i><br /> Properties</a></li>
                        <li class="nav-item"><a href="pets.php" class="nav-link <?php
    if (basename($_SERVER['SCRIPT_NAME']) == 'pets.php') {
        echo 'active';
    }
?>"><i class="fa fa-paw fa-2x"></i><br /> Pets</a></li>
                        <li class="nav-item"><a href="shop.php" class="nav-link <?php
    if (basename($_SERVER['SCRIPT_NAME']) == 'shop.php') {
        echo 'active';
    }
?>"><i class="fa fa-shopping-cart fa-2x"></i><br /> Shop</a></li>
                        <li class="nav-item"><a href="jobs.php" class="nav-link <?php
    if (basename($_SERVER['SCRIPT_NAME']) == 'jobs.php') {
        echo 'active';
    }
?>"><i class="fa fa-briefcase fa-2x"></i><br /> Work
<?php
    $querygt = mysqli_query($mysqli, "SELECT `id` FROM `jobs`");
    while ($rowgt = mysqli_fetch_assoc($querygt)) {
        $act_id = $rowgt['id'];
        
        $querypas = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE action_type = 'job' AND action_id = '$act_id' AND player_id='$player_id' LIMIT 1");
        $countpas = mysqli_num_rows($querypas);
        $rowpas   = mysqli_fetch_assoc($querypas);
        
        if ($countpas > 0) {
            if (time() >= $rowpas['finishtime']) {
                echo '<span class="badge bg-success"><i class="fa fa-check"></i></span>';
            } else {
                echo '<span class="badge bg-primary"><i class="fas fa-clock"></i></span>';
            }
        }
    }
?>
</a></li>
                        <li class="nav-item"><a href="gym.php" class="nav-link <?php
    if (basename($_SERVER['SCRIPT_NAME']) == 'gym.php') {
        echo 'active';
    }
?>"><i class="fas fa-dumbbell fa-2x"></i><br /> Gym 
<?php
    $querygt = mysqli_query($mysqli, "SELECT `id` FROM `gym`");
    while ($rowgt = mysqli_fetch_assoc($querygt)) {
        $act_id = $rowgt['id'];
        
        $querypas = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE action_type = 'gym' AND action_id = '$act_id' AND player_id='$player_id' LIMIT 1");
        $countpas = mysqli_num_rows($querypas);
        $rowpas   = mysqli_fetch_assoc($querypas);
        
        if ($countpas > 0) {
            if (time() >= $rowpas['finishtime']) {
                echo '<span class="badge bg-success"><i class="fa fa-check"></i></span>';
            } else {
                echo '<span class="badge bg-primary"><i class="fas fa-clock"></i></span>';
            }
        }
    }
?>
</a></li>
                        <li class="nav-item"><a href="school.php" class="nav-link <?php
    if (basename($_SERVER['SCRIPT_NAME']) == 'school.php') {
        echo 'active';
    }
?>"><i class="fa fa-graduation-cap fa-2x"></i><br /> School 
<?php
    $querygt = mysqli_query($mysqli, "SELECT `id` FROM `school`");
    while ($rowgt = mysqli_fetch_assoc($querygt)) {
        $act_id = $rowgt['id'];
        
        $querypas = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE action_type = 'school' AND action_id = '$act_id' AND player_id='$player_id' LIMIT 1");
        $countpas = mysqli_num_rows($querypas);
        $rowpas   = mysqli_fetch_assoc($querypas);
        
        if ($countpas > 0) {
            if (time() >= $rowpas['finishtime']) {
                echo '<span class="badge bg-success"><i class="fa fa-check"></i></span>';
            } else {
                echo '<span class="badge bg-primary"><i class="fas fa-clock"></i></span>';
            }
        }
    }
?>
</a></li>

                        <li class="nav-item"><a href="city-map.php" class="nav-link <?php
    if (basename($_SERVER['SCRIPT_NAME']) == 'city-map.php') {
        echo 'active';
    }
?>"><i class="far fa-map fa-2x"></i><br /> City Map</a></li>

                        <li class="nav-item"><a href="bank.php" class="nav-link <?php
    if (basename($_SERVER['SCRIPT_NAME']) == 'bank.php') {
        echo 'active';
    }
?>"><i class="fa fa-university fa-2x"></i><br /> Bank</a></li>
                        <li class="nav-item"><a href="hospital.php" class="nav-link <?php
    if (basename($_SERVER['SCRIPT_NAME']) == 'hospital.php') {
        echo 'active';
    }
?>"><i class="fa fa-hospital fa-2x"></i><br /> Hospital 
<?php
    $querygt = mysqli_query($mysqli, "SELECT `id` FROM `hospital`");
    while ($rowgt = mysqli_fetch_assoc($querygt)) {
        $act_id = $rowgt['id'];
        
        $querypas = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE action_type = 'hospital' AND action_id = '$act_id' AND player_id='$player_id' LIMIT 1");
        $countpas = mysqli_num_rows($querypas);
        $rowpas   = mysqli_fetch_assoc($querypas);
        
        if ($countpas > 0) {
            if (time() >= $rowpas['finishtime']) {
                echo '<span class="badge bg-success"><i class="fa fa-check"></i></span>';
            } else {
                echo '<span class="badge bg-primary"><i class="fas fa-clock"></i></span>';
            }
        }
    }
?>
</a></li>
                        <li class="nav-item"><a href="races.php" class="nav-link <?php
    if (basename($_SERVER['SCRIPT_NAME']) == 'races.php') {
        echo 'active';
    }
?>"><i class="fa fa-flag-checkered fa-2x"></i><br /> Street Races</a></li>
                        <li class="nav-item"><a href="fight-arena.php" class="nav-link <?php
    if (basename($_SERVER['SCRIPT_NAME']) == 'fight-arena.php') {
        echo 'active';
    }
?>"><i class="fa fa-crosshairs fa-2x"></i><br /> Fights</a></li>
                        <li class="nav-item"><a href="leaderboard.php" class="nav-link <?php
    if (basename($_SERVER['SCRIPT_NAME']) == 'leaderboard.php') {
        echo 'active';
    }
?>"><i class="fa fa-trophy fa-2x"></i><br /> Leaderboard</a></li>
                        <li class="nav-item"><a href="resources.php" class="nav-link <?php
    if (basename($_SERVER['SCRIPT_NAME']) == 'resources.php') {
        echo 'active';
    }
?>"><i class="fa fa-dollar-sign fa-2x"></i><br /> Resources</a></li>
                    </ul>
			   </div>
			</div>
        </nav>
    </center>
	
<?php
$runcp    = mysqli_query($mysqli, "SELECT * FROM `custom_pages` WHERE logged = 'No'");
$countcpg = mysqli_num_rows($runcp);
if ($countcpg > 0) {
?>
	<div class="nav-scroller bg-info shadow-sm">
		<nav class="nav nav-underline">
<?php
    while ($rowcp = mysqli_fetch_assoc($runcp)) {
        echo '
		<li class="nav-item mx-auto">
			<a class="nav-link text-white" href="page.php?pageid=' . $rowcp['id'] . '">
				<i class="fas ' . $rowcp['fa_icon'] . '"></i> ' . $rowcp['title'] . '
			</a>
		</li>';
    }
?>
		</nav>
	</div>
<?php
}
?>

    <div class="container-fluid mt-2">

        <div class="row">
             <div class="col-lg-3 user-stats">
            <div class="card bg-light card-body mb-3">
                    <h6><i class="fa fa-user"></i> <?php
    echo $rowu['username'];
?> 
<?php
    if ($rowu['role'] == "Admin") {
        echo '<span class="badge bg-danger"><i class="fa fa-bookmark"></i> ' . $rowu['role'] . '</span> ';
    }
    
    if ($rowu['role'] == "VIP") {
        echo '<span class="badge bg-warning"><i class="fa fa-star"></i> ' . $rowu['role'] . '</span> ';
    }
?>
                    </h6>
                    <hr />
                    <div class="row">
                        <div class="col-md-5">
                            <center><img src="<?php
    echo $rowu['avatar'];
?>" width="95" /></center>
                        </div>
                        <div class="col-md-7" id="playerstats">
                            <div id="stats">
<h6><i class="far fa-money-bill-alt"></i> Money: <span class="badge bg-success"><?php
    echo $rowu['money'];
?></span></h6>
                            <h6><i class="fa fa-inbox"></i> Gold: <span class="badge bg-warning text-dark"><?php
    echo $rowu['gold'];
?></span></h6>
                            <h6><i class="fa fa-server"></i> Level: <span class="badge bg-secondary"><?php
    echo $rowu['level'];
?></span></h6>
                            <h6><i class="fa fa-star"></i> Respect: <span class="badge bg-primary"><?php
    echo $rowu['respect'];
?></span></h6>
<?php
    $userid  = $rowu['id'];
    $queryum = mysqli_query($mysqli, "SELECT * FROM `messages` WHERE toid='$rowu[id]' AND viewed='No'");
    $countum = mysqli_num_rows($queryum);
?>
							</div>
                        </div>
                    </div>
                    <hr />
                    <div>
						<a href="settings.php" class="btn btn-sm btn-primary" title="Account Settings"><i class="fa fa-cog"></i> Account</a>&nbsp;
						<a href="messages.php" class="btn btn-sm btn-success"><i class="fa fa-envelope"></i> Messages <b>(<?php
    echo $countum;
?>)</b></a>
<?php
    if ($rowu['role'] == 'Admin') {
?>
						<a href="admin" class="btn btn-sm btn-info text-white"><i class="fas fa-briefcase"></i> Admin Panel</a>
<?php
    }
?>
						<a href="logout.php" class="btn btn-sm btn-danger float-end" title="Logout"><i class="fa fa-sign-out-alt"></i> Sign Out</a>
					</div>
                </div>
            </div>

            <div class="col-md-6 text-center page-header">
			<br />
                <h4 class="game-name">
					<strong><i class="fa fa-building"></i> <i class="fa fa-car"></i> <i class="fa fa-users"></i> <?php
    echo $row['title'];
?></strong>
					<h5 class="fw-light"><br /><?php
    echo $row['description'];
?></h5>
                </h4>
                <hr />
                <div class="col-lg-12" id="playerstats2">
                    <div id="stats2">
						<div class="row">
							<div class="col-lg-6">
								<h6><i class="fa fa-heart"></i> Health</h6>
								<div class="progress">
									<div class="progress-bar progress-bar-striped progress-bar-animated bg-success" style="width: <?php
    echo percent($rowu['health'], 100);
?>%;">
										<?php
    echo $rowu['health'];
?> / 100
									</div>
								</div>
							</div>
							<div class="col-lg-6">
								<h6><i class="fa fa-bolt"></i> Energy</h6>
								<div class="progress mb-3">
									<div class="progress-bar progress-bar-striped progress-bar-animated" style="width: <?php
    echo percent($rowu['energy'], 100);
?>%;">
										<?php
    echo $rowu['energy'];
?> / 100
									</div>
								</div>
							</div>
						</div>            	
					</div>
                </div>
            </div>

            <div class="col-lg-3 user-stats">
				<div class="card bg-light card-body mb-3" id="playerskills">
                    <div id="skills">
						<center><h6>Character's Skills</h6></center><hr />
						<h6><i class="fa fa-child"></i> Power</h6>
						<div class="progress mb-3">
							<div class="progress-bar progress-bar-striped bg-warning" style="width: <?php
    echo percent($rowu['power'], $row['max_power']);
?>%;">
								<span><?php
    echo $rowu['power'];
?> / <?php
    echo $row['max_power'];
?></span>
							</div>
						</div>
						<h6><i class="fa fa-retweet"></i> Agility</h6>
						<div class="progress mb-3">
							<div class="progress-bar progress-bar-striped bg-danger" style="width: <?php
    echo percent($rowu['agility'], $row['max_agility']);
?>%;">
								<span><?php
    echo $rowu['agility'];
?> / <?php
    echo $row['max_agility'];
?></span>
							</div>
						</div>
						<h6><i class="fa fa-heartbeat"></i> Endurance</h6>
						<div class="progress mb-3">
							<div class="progress-bar progress-bar-striped bg-success" style="width: <?php
    echo percent($rowu['endurance'], $row['max_endurance']);
?>%;">
								<span><?php
    echo $rowu['endurance'];
?> / <?php
    echo $row['max_endurance'];
?></span>
							</div>
						</div>
						<h6><i class="fab fa-usb"></i> Intelligence</h6>
						<div class="progress mb-3">
							<div class="progress-bar progress-bar-striped bg-info" style="width: <?php
    echo percent($rowu['intelligence'], $row['max_intelligence']);
?>%;">
								<span><?php
    echo $rowu['intelligence'];
?> / <?php
    echo $row['max_intelligence'];
?></span>
							</div>
						</div>
					</div>
                </div>
            </div>
        </div>
	</div>
        
    <div class="container-fluid">
        <div class="row card-body bg-light align-items-center">
            <div class="col-md-1">
                <h6><span class="badge bg-danger"><i class="fa fa-info-circle"></i> Useful Tips: </span></h6>
            </div>
            <div class="col-md-7">
<?php
    if ($row['tips_effect'] == 1) {
?>
                <marquee behavior="scroll" direction="left" scrollamount="12">
                    <h6>
<?php
        $querygt = mysqli_query($mysqli, "SELECT * FROM `tips` ORDER BY rand()");
        while ($rowgt = mysqli_fetch_assoc($querygt)) {
            echo $rowgt['tip'];
            echo '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
        }
?>
                    </h6>
                </marquee>
<?php
    } else {
?>
                <div id="random_text"></div>
				<script>
				var textarray = [
<?php
        $querygt  = mysqli_query($mysqli, "SELECT * FROM `tips` ORDER BY rand()");
        $querygtc = mysqli_num_rows($querygt);
        $i        = 0;
        while ($rowgt = mysqli_fetch_assoc($querygt)) {
            echo '"';
            echo $rowgt['tip'];
            echo '"';
            
            if ($i + 1 != $querygtc) {
                echo ',';
            }
            
            $i++;
        }
?>
];

function RndText() 
{
    var rannum = Math.floor(Math.random() * textarray.length);
    
    $('#random_text').fadeOut('fast', function() { 
        $(this).text(textarray[rannum]).fadeIn('fast');
    });
}

$(function() {
    RndText(); 
});
var inter = setInterval(function() { RndText(); }, 4000);
				</script>
<?php
    }
?>
            </div>
<?php
    $timeon  = time() - 60;
    $queryop = mysqli_query($mysqli, "SELECT * FROM `players` WHERE timeonline>$timeon");
    $countop = mysqli_num_rows($queryop);
?>
            <div class="col-md-2" id="onlineplayers">
                <div id="online">
                    <a href="leaderboard.php?tab=onlineplayers" class="btn btn-sm btn-success col-12 float-end">
						<i class="fa fa-users"></i> Online <span class="badge bg-info"><?php
    echo $countop;
?></span>
					</a>
                </div>
            </div>
            <div class="col-md-2">
                <button type="button" class="btn btn-sm btn-primary col-12 float-end" data-toggle="sidebar" data-target=".sidebar-right">
					<i class="fa fa-comments"></i> Chat
				</button>
            </div>
        </div>
    </div>
	
	<br />

    <div class="col-md-3 sidebar sidebar-right sidebar-animate">
        <div class="row">
            <div class="col-md-10">
                <h4><i class="fa fa-comments"></i> Chat</h4>
            </div>
            <div class="col-md-2">
                <button type="button" class="btn btn-sm btn-danger float-end" data-toggle="sidebar" data-target=".sidebar-right">
					<i class="fa fa-times"></i>
				</button>
            </div>
        </div>
        <hr />
        
        <form id="gchat" action="ajax.php" method="post">
            <textarea placeholder="Write a message" name="chatmessage" class="form-control" required></textarea>
            <button type="submit" name="post_chatmessage" class="btn btn-primary btn-md col-12 mb-1"><i class="fa fa-paper-plane"></i> Send</button>
        </form><br />
        
<script type="text/javascript">
    var frm = $('#gchat');
    frm.submit(function (ev) {
        $.ajax({
            type: frm.attr('method'),
            url: frm.attr('action'),
            data: frm.serialize(),
            success: function (data) {
                document.getElementById("gchat").reset();
            }
        });

        ev.preventDefault();
    });
</script>

<div id="globalchat">
	<div id="chat">
<?php
    $gtday   = date("d");
    $gtmonth = date("n");
    $gtyear  = date("Y");
    
    $gthour   = date("H");
    $gtminute = date("i");
    
    $querygc = mysqli_query($mysqli, "SELECT * FROM `global_chat` ORDER BY id DESC LIMIT 15");
    while ($rowgc = mysqli_fetch_assoc($querygc)) {
        $author_id = $rowgc['player_id'];
        $querygcp  = mysqli_query($mysqli, "SELECT * FROM `players` WHERE id='$author_id' LIMIT 1");
        $rowgcp    = mysqli_fetch_assoc($querygcp);
?>
        <div class="card">
            <div class="card-header">
                <img src="<?php
        echo $rowgcp['avatar'];
?>" width="8%">&nbsp;&nbsp;<strong><a href="player.php?id=<?php
        echo $author_id;
?>"><?php
        echo $rowgcp['username'];
?></a></strong>
<?php
        if ($rowgc['player_id'] == $rowu['id'] OR $rowu['role'] == 'Admin') {
?>
            <a href="?delchat_id=<?php
            echo $rowgc['id'];
?>" class="btn btn-danger btn-sm float-end" title="Delete"><i class="fa fa-trash"></i></a>
<?php
        }
?>
			</div>
            <div class="card-body"><?php
        echo emoticons($rowgc['message']);
?></div>
            <div class="card-footer">
                <i><i class="fas fa-clock"></i> 
<?php
        $mgetdate = date_parse_from_format("d F Y", $rowgc['date']);
        $mgettime = date_parse_from_format("H:i", $rowgc['time']);
        $mday     = $mgetdate["day"];
        $mmonth   = $mgetdate["month"];
        $myear    = $mgetdate["year"];
        $mhour    = $mgettime["hour"];
        $mminute  = $mgettime["minute"];
        
        if ($myear != $gtyear) {
            $d_year = $gtyear - $myear;
            if ($d_year == 1) {
                $gsymbol = '';
            } else {
                $gsymbol = 's';
            }
            echo '' . $d_year . ' year' . $gsymbol . ' ago';
        } else {
            if ($mmonth != $gtmonth) {
                $d_month = $gtmonth - $mmonth;
                if ($d_month == 1) {
                    $gsymbol = '';
                } else {
                    $gsymbol = 's';
                }
                echo '' . $d_month . ' month' . $gsymbol . ' ago';
            } else {
                if ($mday != $gtday) {
                    $d_day = $gtday - $mday;
                    if ($d_day == 1) {
                        $gsymbol = '';
                    } else {
                        $gsymbol = 's';
                    }
                    echo '' . $d_day . ' day' . $gsymbol . ' ago';
                } else {
                    if ($mhour != $gthour) {
                        $d_hour = $gthour - $mhour;
                        if ($d_hour == 1) {
                            $gsymbol = '';
                        } else {
                            $gsymbol = 's';
                        }
                        echo '' . $d_hour . ' hour' . $gsymbol . ' ago';
                    } else {
                        if ($mminute != $gtminute) {
                            $d_minute = $gtminute - $mminute;
                            if ($d_minute == 1) {
                                $gsymbol = '';
                            } else {
                                $gsymbol = 's';
                            }
                            echo '' . $d_minute . ' minute' . $gsymbol . ' ago';
                        } else {
                            echo 'Just Now';
                        }
                    }
                }
            }
        }
        
?></i>
            </div>
        </div><br />
<?php
    }
?> 
	</div>
</div>

    </div>
	
<?php
if ($rowu['role'] != 'VIP') {
    $queryah = mysqli_query($mysqli, "SELECT * FROM `ads` WHERE position='Header' ORDER BY RAND() LIMIT 1");
    while ($rowah = mysqli_fetch_array($queryah)) {
        echo html_entity_decode($rowah['code']);
    }
}
?>
<?php
}

function footer()
{
    require "config.php";
    
    $query = mysqli_query($mysqli, "SELECT * FROM `settings` WHERE id='1'");
    $rowst = mysqli_fetch_assoc($query);
	
	$uname = $_SESSION['username'];
    $suser = mysqli_query($mysqli, "SELECT * FROM `players` WHERE username='$uname'");
    $rowu  = mysqli_fetch_assoc($suser);
?>

<?php
if ($rowu['role'] != 'VIP') {
    $queryaf = mysqli_query($mysqli, "SELECT * FROM `ads` WHERE position='Footer' ORDER BY RAND() LIMIT 1");
    while ($rowaf = mysqli_fetch_array($queryaf)) {
        echo html_entity_decode($rowaf['code']);
    }
}
?>
	
    <footer class="footer clearfix mt-3">
        <div class="container-fluid">
		<div class="row">
			<div class="col-md-12">
			<div class="float-start small">Powered by: 
				<a href="https://codecanyon.net/item/vcity-online-browser-game/21398810?ref=Antonov_WEB" target="_blank">
					<b title = "vCity - Online Browser Game Platform">vCity</i></b>
				</a>
			</div>
            <div class="float-end">&copy; <?php
    echo date("Y");
?> <?php
    echo $rowst['title'];
?></div>
            <a href="#" class="go-top"><i class="fa fa-arrow-up"></i></a>
			
			</div>
		</div>
        </div>
    </footer>

    <!-- JavaScript Libraries
    ================================================== -->

    <!-- Bootstrap -->
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous"></script>
	
	<!-- Right Sidebar - Chat -->
    <script src="assets/js/sidebar.js"></script>
    
    <!-- Game JS -->
    <script src="assets/js/game.js"></script>
	
<?php
    if (basename($_SERVER['SCRIPT_NAME']) == 'leaderboard.php' OR basename($_SERVER['SCRIPT_NAME']) == 'messages.php') {
        echo '
	<!-- DataTables -->	
	<script src="https://cdn.datatables.net/v/bs5/dt-1.13.8/r-2.5.0/datatables.min.js"></script>
';
    }
?>

<?php
    if (basename($_SERVER['SCRIPT_NAME']) == 'messages.php' OR basename($_SERVER['SCRIPT_NAME']) == 'donate-resources.php') {
        echo '
	<!-- Select2 -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>';
    }
?>

</body>
</html>
<?php
}
?>