<?php
require "core.php";
head();

$query      = mysqli_query($mysqli, "SELECT * FROM `settings` WHERE id='1'");
$rowst      = mysqli_fetch_assoc($query);
$win_money  = $rowst['fight_race_win_money'];
$win_gold   = $rowst['fight_race_win_gold'];
$lose_money = $rowst['fight_race_lose_money'];

$player_id = $rowu['id'];
$levelu    = $rowu['level'];
$mlevel    = $levelu - 6;
$levelm    = $levelu + 6;

$date = date('d F Y');
$time = date('H:i');

if (isset($_GET['opponent'])) {
    
    $opponent_id = (int) $_GET['opponent'];
    
    $queryuo = mysqli_query($mysqli, "SELECT * FROM `players` WHERE username!='$uname' AND character_id>0 AND level>'$mlevel' AND level<'$levelm' AND health>=10 AND id='$opponent_id' AND role != 'Banned' LIMIT 1");
    
} else {
    $queryuo = mysqli_query($mysqli, "SELECT * FROM `players` WHERE username!='$uname' AND character_id>0 AND level>'$mlevel' AND level<'$levelm' AND health>=10 AND role != 'Banned' ORDER BY rand() LIMIT 1");
}

$rowuo   = mysqli_fetch_assoc($queryuo);
$countuo = mysqli_num_rows($queryuo);

$playero_id  = $rowuo['id'];
$characteru  = $rowu['character_id'];
$characteruo = $rowuo['character_id'];

$querypc  = mysqli_query($mysqli, "SELECT * FROM `characters` WHERE id='$characteru' LIMIT 1");
$rowpc    = mysqli_fetch_assoc($querypc);
$querypoc = mysqli_query($mysqli, "SELECT * FROM `characters` WHERE id='$characteruo' LIMIT 1");
$rowpoc   = mysqli_fetch_assoc($querypoc);

$querypac = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE player_id='$player_id' LIMIT 1");
$countpac = mysqli_num_rows($querypac);

$querypof = mysqli_query($mysqli, "SELECT * FROM `fights` WHERE playera_id='$player_id' AND playerb_id='$playero_id' AND date='$date'");
$countpof = mysqli_num_rows($querypof);

//Round 1 - Power
if ($rowu['power'] < $rowuo['power']) {
    $round1u  = 0;
    $round1uo = 1;
}
if ($rowu['power'] > $rowuo['power']) {
    $round1u  = 1;
    $round1uo = 0;
}
if ($rowu['power'] == $rowuo['power']) {
    $round1u  = 1;
    $round1uo = 1;
}

//Round 2 - Agility
if ($rowu['agility'] < $rowuo['agility']) {
    $round2u  = 0;
    $round2uo = 1;
}
if ($rowu['agility'] > $rowuo['agility']) {
    $round2u  = 1;
    $round2uo = 0;
}
if ($rowu['agility'] == $rowuo['agility']) {
    $round2u  = 1;
    $round2uo = 1;
}

//Round 3 - Endurance
if ($rowu['endurance'] < $rowuo['endurance']) {
    $round3u  = 0;
    $round3uo = 1;
}
if ($rowu['endurance'] > $rowuo['endurance']) {
    $round3u  = 1;
    $round3uo = 0;
}
if ($rowu['endurance'] == $rowuo['endurance']) {
    $round3u  = 1;
    $round3uo = 1;
}

//Round 4 - Intelligence
if ($rowu['intelligence'] < $rowuo['intelligence']) {
    $round4u  = 0;
    $round4uo = 1;
}
if ($rowu['intelligence'] > $rowuo['intelligence']) {
    $round4u  = 1;
    $round4uo = 0;
}
if ($rowu['intelligence'] == $rowuo['intelligence']) {
    $round4u  = 1;
    $round4uo = 1;
}

//Round 5 - Final (Calculations)
$round5u  = $round1u + $round2u + $round3u + $round4u;
$round5uo = $round1uo + $round2uo + $round3uo + $round4uo;

if ($round5u < $round5uo) {
    $winchance = 1;
}
if ($round5u == $round5uo) {
    $winchance = 2;
}
if ($round5u > $round5uo) {
    $winchance = 3;
}

if (isset($_GET['opponent'])) {
    
    if ($countpof > 2) {
        echo '
<div class="alert alert-danger">
  <center><strong><i class="fa fa-exclamation-circle"></i> You can\'t fight against this player more than three times for today.</strong></center>
</div>';
    }
    
    if ($opponent_id != $player_id && $rowu['energy'] >= 10 && $rowu['health'] >= 10 && $rowuo['health'] >= 10 && $countuo > 0 && $countpac == 0 && $countpof < 3) {
        
        //Loss
        if ($winchance == 1) {
            $winner_id = $opponent_id;
        }
        
        //Last Chance
        if ($winchance == 2) {
            
            $lastchance = mt_rand(0, 1);
            
            if ($lastchance == 1) {
                $winner_id = $player_id;
            } else {
                $winner_id = $opponent_id;
            }
            
        }
        
        //Win
        if ($winchance == 3) {
            $winner_id = $player_id;
        }
        
        //Query
        if ($winner_id == $player_id) {
            
            $log_fight       = mysqli_query($mysqli, "INSERT INTO `fights` (playera_id, playerb_id, winner_id, date, time)
VALUES ('$player_id', '$opponent_id', '$winner_id', '$date', '$time')");
            $player_update   = mysqli_query($mysqli, "UPDATE `players` SET money=money+'$win_money', gold=gold+'$win_gold', energy=energy-10, health=health-5, respect=respect+325 WHERE id='$player_id'");
            $opponent_update = mysqli_query($mysqli, "UPDATE `players` SET money=money-'$lose_money', health=health-10 WHERE id='$opponent_id'");
            
            $content = '' . $rowu['username'] . ' challenged you to fight and you lost the fight. You lost $'. $lose_money. '.';
            $message = mysqli_query($mysqli, "INSERT INTO `messages` (fromid, toid, date, time, content)
VALUES ('$player_id', '$opponent_id', '$date', '$time', '$content')");
            
            echo '
<div class="alert alert-success">
  <center><strong><i class="fa fa-trophy"></i> You won the fight against this player. <br />Reward: <span class="badge bg-success">$ '. $win_money. '</span> and <span class="badge bg-warning">'. $win_gold. ' Gold</span></strong></center>
</div>';
        } else {
            
            $log_fight       = mysqli_query($mysqli, "INSERT INTO `fights` (playera_id, playerb_id, winner_id, date, time)
VALUES ('$player_id', '$opponent_id', '$winner_id', '$date', '$time')");
            $player_update   = mysqli_query($mysqli, "UPDATE `players` SET money=money-'$lose_money', energy=energy-10, health=health-10 WHERE id='$player_id'");
            $opponent_update = mysqli_query($mysqli, "UPDATE `players` SET money=money+'$win_money', gold=gold+'$win_gold', health=health-5, respect=respect+325 WHERE id='$opponent_id'");
            
            $content = '' . $rowu['username'] . ' challenged you to fight and you won the fight. You earned $'. $win_money. ' and '. $win_gold. ' gold.';
            $message = mysqli_query($mysqli, "INSERT INTO `messages` (fromid, toid, date, time, content)
VALUES ('$player_id', '$opponent_id', '$date', '$time', '$content')");
            
            echo '
<div class="alert alert-danger">
  <center><strong><i class="fa fa-trophy"></i> You lost the fight against this player</strong></center>
</div>';
        }
        
    }
}
?>
<div class="container-fluid">
	<div class="card">
		<div class="card-header text-white bg-primary">
		<i class="fa fa-crosshairs"></i> Fight Arena
	</div>
	<div class="card-body">
	
		<center><h4><i class="fa fa-crosshairs"></i> Fight Arena</h4></center><br />
	
<?php
if ($countpac > 0) {
    echo '
<div class="alert alert-warning">
	<center><strong><i class="fa fa-exclamation-circle"></i> You are doing another activity at the moment and you can\'t do this</strong></center>
</div>';
}

if ($rowu['energy'] < 10) {
    echo '
<div class="alert alert-info">
	<center><strong><i class="fa fa-exclamation-circle"></i> You do not have enough energy to fight. You should wait your energy to be restored</strong></center>
</div>';
}

if ($rowu['health'] < 10) {
    echo '
<div class="alert alert-danger">
	<center><strong><i class="fa fa-exclamation-circle"></i> You are not healthy enough to fight. You should go to the <a href="hospital.php"><i class="fa fa-hospital"></i> Hospital</a> to recover your health</strong></center>
</div>';
}

if ($countuo <= 0) {
    echo '
<div class="alert alert-danger">
	<center><strong><i class="fa fa-exclamation-circle"></i> There are no other players in the Fight Arena at the moment.</strong></center>
</div>';
}
?>

		<div class="col-md-12">
	
			<div class="row">
				<div class="col-md-3">
			
				<img src="<?php
echo $rowpc['image'];
?>" width="100%" style="border:8px solid #ccc; border-radius:15px;" />
				<br /><br />
				<div class="card">
					<div class="card-header text-white bg-primary">
						<center><i class="fa fa-archive"></i> Your Items</center>
					</div>
					<div class="card-body">
						<div class="row">
<?php
$querypi  = mysqli_query($mysqli, "SELECT * FROM `player_items` WHERE player_id='$player_id' LIMIT 9");
$querypin = mysqli_query($mysqli, "SELECT * FROM `player_items` WHERE player_id='$player_id'");
$countpi  = mysqli_num_rows($querypi);

if ($countpi > 0) {
    while ($rowpi = mysqli_fetch_assoc($querypi)) {
        
        $item_id = $rowpi['item_id'];
        $queryi  = mysqli_query($mysqli, "SELECT * FROM `items` WHERE id='$item_id'");
        $rowi    = mysqli_fetch_assoc($queryi);
?>
                            <div class="col-md-4 mb-2">
                                <center>
                                    <img src="<?php
        echo $rowi['image'];
?>" class="item-border" width="75" data-bs-toggle="tooltip" data-placement="top" title="<?php
        echo $rowi['item'];
?>" />	
								</center>
                            </div>
<?php
    }
    echo '
<div id="myitems" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title"><i class="fa fa-archive"></i> Your Items</h5>
		<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
	  <div class="row">
';
    while ($rowpin = mysqli_fetch_assoc($querypin)) {
        
        $itemn_id = $rowpin['item_id'];
        $queryin  = mysqli_query($mysqli, "SELECT * FROM `items` WHERE id='$itemn_id'");
        $rowin    = mysqli_fetch_assoc($queryin);
        echo '
                            <div class="col-md-3">
                                <center>
                                    <img src="' . $rowin['image'] . '" class="item-border" width="100%" data-bs-toggle="tooltip" data-placement="top" title="' . $rowin['item'] . '" />
                                    <span class="badge bg-primary">+ ' . $rowin['bonusvalue'] . ' ' . $rowin['bonustype'] . '</span>
									<hr />
								</center>
                            </div>
';
    }
    echo '
      </div>
      </div>
      <div class="modal-footer">
	      <button type="button" class="btn btn-info col-12 text-white" data-bs-dismiss="modal"><i class="fa fa-times-circle"></i> Close</button>
      </div>
    </div>

  </div>
</div>
	';
    echo '<br /><a href="#" class="btn btn-secondary mx-auto" data-bs-toggle="modal" data-bs-target="#myitems"><i class="fa fa-search"></i> View All Items</a>';
} else {
    echo '<center><div class="alert alert-info mx-auto"><i class="fa fa-info-circle"></i> You have no items in your inventory</div>
          <div class="alert alert-success mx-auto"><center><a href="shop.php" class="btn btn-success btn-md"><i class="fa fa-cart-plus"></i>&nbsp;&nbsp;Buy Items</a></center></div>';
}
?>
						</div>
					</div>
				</div>
			
				</div>
				<div class="col-md-6">
			
				<div class="row">
					<div class="col-md-6">
						<center><h3><a href="player.php?id=<?php
echo $player_id;
?>"><span class="badge bg-secondary"><img src="<?php
echo $rowu['avatar'];
?>" width="9%" />&nbsp; <?php
echo $rowu['username'];
?></span></a></h3>
						<h5><i class="fa fa-server"></i> Level: <span class="badge bg-primary"><?php
echo $levelu;
?></span></h5><hr /><br /></center>
				
					<h6><i class="fa fa-child"></i> Power</h6>
					<div class="progress mb-3">
						<div class="progress-bar progress-bar-striped bg-warning" style="width: <?php
echo percent($rowu['power'], $rowst['max_power']);
?>%;">
                        <?php
echo $rowu['power'];
?> / <?php
echo $rowst['max_power'];
?>
						</div>
					</div>
					<h6><i class="fa fa-retweet"></i> Agility</h6>
					<div class="progress mb-3">
						<div class="progress-bar progress-bar-striped bg-danger" style="width: <?php
echo percent($rowu['agility'], $rowst['max_agility']);
?>%;">
                        <?php
echo $rowu['agility'];
?> / <?php
echo $rowst['max_agility'];
?>
						</div>
					</div>
					<h6><i class="fa fa-heartbeat"></i> Endurance</h6>
					<div class="progress mb-3">
						<div class="progress-bar progress-bar-striped bg-success" style="width: <?php
echo percent($rowu['endurance'], $rowst['max_endurance']);
?>%;">
                        <?php
echo $rowu['endurance'];
?> / <?php
echo $rowst['max_endurance'];
?>
						</div>
					</div>
					<h6><i class="fab fa-usb"></i> Intelligence</h6>
					<div class="progress mb-3">
						<div class="progress-bar progress-bar-striped bg-info" style="width: <?php
echo percent($rowu['intelligence'], $rowst['max_intelligence']);
?>%;">
                        <?php
echo $rowu['intelligence'];
?> / <?php
echo $rowst['max_intelligence'];
?>
						</div>
					</div>

					</div>
				
					<div class="col-md-6">
<?php
if ($countuo > 0) {
?>
						<center><h3><a href="player.php?id=<?php
    echo $playero_id;
?>"><span class="badge bg-secondary"><img src="<?php
    echo $rowuo['avatar'];
?>" width="9%" />&nbsp; <?php
    echo $rowuo['username'];
?></span></a></h3>
						<h5><i class="fa fa-server"></i> Level: <span class="badge bg-primary"><?php
    echo $rowuo['level'];
?></span></h5><hr /><br /></center>
				
						<h6><i class="fa fa-child"></i> Power</h6>
						<div class="progress mb-3">
							<div class="progress-bar progress-bar-striped bg-warning" style="width: <?php
    echo percent($rowuo['power'], $rowst['max_power']);
?>%;">
                        <?php
    echo $rowuo['power'];
?> / <?php
echo $rowst['max_power'];
?>
							</div>
						</div>
						<h6><i class="fa fa-retweet"></i> Agility</h6>
						<div class="progress mb-3">
							<div class="progress-bar progress-bar-striped bg-danger" style="width: <?php
    echo percent($rowuo['agility'], $rowst['max_agility']);
?>%;">
                        <?php
    echo $rowuo['agility'];
?> / <?php
echo $rowst['max_agility'];
?>
							</div>
						</div>
						<h6><i class="fa fa-heartbeat"></i> Endurance</h6>
						<div class="progress mb-3">
							<div class="progress-bar progress-bar-striped bg-success" style="width: <?php
    echo percent($rowuo['endurance'], $rowst['max_endurance']);
?>%;">
                        <?php
    echo $rowuo['endurance'];
?> / <?php
echo $rowst['max_endurance'];
?>
							</div>
						</div>
						<h6><i class="fab fa-usb"></i> Intelligence</h6>
						<div class="progress mb-3">
							<div class="progress-bar progress-bar-striped bg-info" style="width: <?php
    echo percent($rowuo['intelligence'], $rowst['max_intelligence']);
?>%;">
                        <?php
    echo $rowuo['intelligence'];
?> / <?php
echo $rowst['max_intelligence'];
?>
							</div>
						</div>
<?php
} else {
    echo '<center><i class="fa fa-question-circle fa-5x"></i></center>';
}
?>
					</div>
				</div><br />
			
				<div class="col-md-12 card-body bg-light">
					<div class="row">
						<div class="col-md-4">
							<h5><i class="fa fa-cube fa-fw"></i> Chance to win:</h5>
						</div>
						<div class="col-md-8">
							<h4>
<?php
if ($winchance == 1) {
    echo '<span class="badge bg-danger">Little</span> &nbsp;&nbsp;/&nbsp;&nbsp; ';
} else {
    echo '<span class="badge bg-secondary">Little</span> &nbsp;&nbsp;/&nbsp;&nbsp; ';
}

if ($winchance == 2) {
    echo '<span class="badge bg-warning">Average</span> &nbsp;&nbsp;/&nbsp;&nbsp; ';
} else {
    echo '<span class="badge bg-secondary">Average</span> &nbsp;&nbsp;/&nbsp;&nbsp; ';
}

if ($winchance == 3) {
    echo '<span class="badge bg-success">Big</span>';
} else {
    echo '<span class="badge bg-secondary">Big</span>';
}
?>
							</h4>
						</div>
					</div>
				</div><br />

				<div class="col-lg-12 card-body bg-light">
					<center>
						<div class="row">
							<div class="col-md-6">
<?php
if ($rowu['energy'] < 10 || $rowu['health'] < 10 || $countuo <= 0 || $countpac > 0) {
    echo '<button class="btn btn-danger btn-md col-12" disabled><em class="fa fa-fw fa-bolt"></em>Fight</button>';
} else {
    echo '<a href="#/" class="btn btn-danger btn-md col-12" onclick="countdownaction();"><i class="fa fa-bolt"></i> Fight</a>';
}
?>    
							</div>
							<div class="col-md-6">
								<a href="fight-arena.php" class="btn btn-primary btn-md col-12">
									<i class="fa fa-arrow-circle-right"></i> Find Another
								</a>
							</div>
						</div>
					</center>
				</div>
			
				</div>
				<div class="col-md-3">
			
<?php
if ($countuo > 0) {
?>
					<img src="<?php
    echo $rowpoc['image'];
?>" width="100%" style="border:8px solid #ccc; border-radius:15px;" />
					<br /><br />
					<div class="card">
						<div class="card-header text-white bg-primary">
							<center><i class="fa fa-archive"></i> <?php
    echo $rowuo['username'];
?>'s Items</center>
						</div>
						<div class="card-body">
							<div class="row">
<?php
    $queryoi  = mysqli_query($mysqli, "SELECT * FROM `player_items` WHERE player_id='$playero_id' LIMIT 9");
    $queryoin = mysqli_query($mysqli, "SELECT * FROM `player_items` WHERE player_id='$playero_id'");
    $countoi  = mysqli_num_rows($queryoi);
    
    if ($countoi > 0) {
        while ($rowoi = mysqli_fetch_assoc($queryoi)) {
            
            $itemo_id = $rowoi['item_id'];
            $queryio  = mysqli_query($mysqli, "SELECT * FROM `items` WHERE id='$itemo_id'");
            $rowio    = mysqli_fetch_assoc($queryio);
?>
								<div class="col-md-4 mb-2">
									<center>
                                    <img src="<?php
            echo $rowio['image'];
?>" class="item-border" width="75" data-bs-toggle="tooltip" data-placement="top" title="<?php
            echo $rowio['item'];
?>" />
									</center>
								</div>
<?php
        }
        echo '
<div id="enemyitems" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title"><i class="fa fa-archive"></i> ' . $rowuo['username'] . '\'s items</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
	  </div>
      <div class="modal-body">
	  <div class="row">
';
        while ($rowoin = mysqli_fetch_assoc($queryoin)) {
            
            $itemno_id = $rowoin['item_id'];
            $queryino  = mysqli_query($mysqli, "SELECT * FROM `items` WHERE id='$itemno_id'");
            $rowino    = mysqli_fetch_assoc($queryino);
            echo '
                            <div class="col-md-3">
                                <center>
                                    <img src="' . $rowino['image'] . '" class="item-border" width="100%" data-bs-toggle="tooltip" data-placement="top" title="' . $rowino['item'] . '" />
                                    <span class="badge bg-primary">+ ' . $rowino['bonusvalue'] . ' ' . $rowino['bonustype'] . '</span>
                                <hr /></center>
                            </div>
';
        }
        echo '
      </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-info col-12 text-white" data-bs-dismiss="modal"><i class="fa fa-times-circle"></i> Close</button>
      </div>
    </div>

  </div>
</div>
	';
        echo '<br /><a href="#" class="btn btn-secondary mx-auto" data-bs-toggle="modal" data-bs-target="#enemyitems"><i class="fa fa-search"></i> View All Items</a>';
    } else {
        echo '<div class="alert alert-info mx-auto"><i class="fa fa-info-circle"></i> The player has no items in the inventory</div>';
    }
?>
							</div>
						</div>
					</div>
<?php
}
?>
			
				</div>
			</div>
		
		</div>
	</div>
	
</div>

<div id="action-modal" class="modal fade">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Fight</h5>
            </div>
            <div class="modal-body">
                <center>
                    <div class="col-md-6 bd-example-container-sidebar" style="margin: auto;">
                        <h2 id="count_num" class="alert alert-dismissible alert-info">3</h2>
                    </div>
                </center>
            </div>
        </div>
    </div>
</div>
</div>

<script>
function countdownaction() {
   $("#action-modal").modal('show');

$(function(){
var timer = setInterval(function(){
$("#count_num").html(function(i,html){
   
if(parseInt(html)>0) {
   if(parseInt(html-1)==0) {
	  window.setTimeout(function () {
        window.location = "?opponent=<?php
echo $rowuo['id'];
?>";
      }, 700);
      return "Fight";
      clearTimeout(timer);
	  $("#action-modal").modal('hide');
   } else {
      return parseInt(html)-1;
   }
}
});

},1000);
});

}
</script>
<?php
footer();
?>