<?php
require "core.php";
head();

$player_id = $rowu['id'];

if (isset($_GET['start-treatment'])) {
    
    $treatment_id = (int) $_GET['start-treatment'];
    
    $queryht = mysqli_query($mysqli, "SELECT * FROM `hospital` WHERE id = '$treatment_id' LIMIT 1");
    $countht = mysqli_num_rows($queryht);
    if ($countht > 0) {
        $rowht = mysqli_fetch_assoc($queryht);
        
        $queryauc = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE player_id='$player_id' LIMIT 1");
        $countauc = mysqli_num_rows($queryauc);
        if ($countauc > 0) {
            $busy = 'Yes';
        } else {
            $busy = 'No';
        }

        $cost = $rowht['cost'];
        
        if ($rowht['format'] == "Hours") {
            $finishtime = time() + ($rowht['time'] * 3600);
        }
        if ($rowht['format'] == "Minutes") {
            $finishtime = time() + ($rowht['time'] * 60);
        }
        
        if ($rowu['health'] < 100 && $rowu['money'] >= $cost && $busy == 'No') {
            
            $treatment_start = mysqli_query($mysqli, "INSERT INTO `player_actions` (player_id, action_type, action_id, finishtime)
VALUES ('$player_id', 'hospital', '$treatment_id', '$finishtime')");
            $player_update   = mysqli_query($mysqli, "UPDATE `players` SET money=money-'$cost' WHERE id='$player_id'");
            
        }
    }
}

if (isset($_GET['interrupt-treatment'])) {
    $treatment_id = (int) $_GET["interrupt-treatment"];
    
    $queryht = mysqli_query($mysqli, "SELECT * FROM `hospital` WHERE id='$treatment_id' LIMIT 1");
    $countht = mysqli_num_rows($queryht);
    
    if ($countht > 0) {
        $rowht = mysqli_fetch_assoc($queryht);
        
        $type = $rowht['treatment_type'];
        $cost = $rowht['cost'] / 2;
        
        $querypht = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE action_type='hospital' AND action_id='$treatment_id' AND player_id='$player_id' LIMIT 1");
        $countpht = mysqli_num_rows($querypht);
        
        if ($countpht > 0) {
            $interrupt_treatment = mysqli_query($mysqli, "DELETE FROM `player_actions` WHERE action_type='hospital' AND player_id='$player_id'");
            $player_update       = mysqli_query($mysqli, "UPDATE `players` SET money=money+'$cost' WHERE id='$player_id'");
        }
    }
}

if (isset($_GET['speedup'])) {
    $sp_id = (int) $_GET["speedup"];
    
    $querysp = mysqli_query($mysqli, "SELECT * FROM `hospital` WHERE id='$sp_id' LIMIT 1");
    $countsp = mysqli_num_rows($querysp);
    
    if ($countsp > 0) {
        $rowsp = mysqli_fetch_assoc($querysp);

        $goldsp_cost = $rowsp['gold_speedup'];
        
        $queryasp = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE action_type='hospital' AND action_id='$sp_id' AND player_id='$player_id' LIMIT 1");
        $countasp = mysqli_num_rows($queryasp);
        
        if ($countasp> 0 && $rowu['gold'] >= $goldsp_cost) {
            $action_pay = mysqli_query($mysqli, "UPDATE `players` SET gold=gold-'$goldsp_cost' WHERE id='$player_id'");
            $action_update = mysqli_query($mysqli, "UPDATE `player_actions` SET `finishtime`='0' WHERE action_type='hospital' AND player_id='$player_id'");
        } 
        if ($rowu['gold'] < $goldsp_cost) {
            echo '<center><div class="alert alert-warning" role="alert">You do not have enough gold to speedup the task.</div></center>';
        }
    }
}

if (isset($_GET['finish-treatment'])) {
    
    $treatment_id = (int) $_GET['finish-treatment'];
    
    $queryht = mysqli_query($mysqli, "SELECT * FROM `hospital` WHERE id = '$treatment_id' LIMIT 1");
    $countht = mysqli_num_rows($queryht);
    if ($countht > 0) {
        $rowht = mysqli_fetch_assoc($queryht);
        
        $type = $rowht['treatment_type'];
        
        $querypht = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE action_type='hospital' AND action_id='$treatment_id' AND player_id='$player_id' LIMIT 1");
        $countpht = mysqli_num_rows($querypht);
        $rowpht   = mysqli_fetch_assoc($querypht);
        if ($countpht > 0) {
            $correct = 'Yes';
        } else {
            $correct = 'No';
        }
        
        $health_restore = $rowht['health_restore'];
        
        if ($correct == 'Yes' && time() >= $rowpht['finishtime']) {
            
            $treatment_finish = mysqli_query($mysqli, "DELETE FROM `player_actions` WHERE action_type='hospital' AND player_id='$player_id'");
            $player_update    = mysqli_query($mysqli, "UPDATE `players` SET health=health+'$health_restore' WHERE id='$player_id'");
            
            echo '
        <script type="text/javascript">
            $(document).ready(function() {
                $("#finish-treatment").modal(\'show\');
            });
        </script>

        <div id="finish-treatment" class="modal fade">
            <div class="modal-dialog modal-md">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">End of the Treatment</h5>
						<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <center>
                            <h4><span class="badge bg-info"><i class="fa fa-user-md"></i> You have successfully finished the Treatment</span></h4><br />
                            <div class="row">
                                <div class="col-md-4"></div>
                                <div class="col-md-4">
                                    <h5><i class="fa fa-heartbeat"></i> Health: <br /><hr /><span class="badge bg-secondary">+ ' . $health_restore . '</span></h5>
                                </div>
                                <div class="col-md-4"></div>
                            </div><br />
                            <button type="button" class="btn btn-success btn-md col-12" data-bs-dismiss="modal" aria-hidden="true"><i class="fab fa-get-pocket"></i> Okay</button>
                        </center>
                    </div>
                </div>
            </div>
        </div>';
            
        }
        
    }
}
?>
<div class="container-fluid">
	<div class="col-md-12 card bg-light card-body">

		<center><h4><i class="fa fa-hospital"></i> Hospital</h4><br />

		<div class="row">

			<div class="col-md-1"></div>
			<div class="col-md-10">
				<h6><i class="fa fa-heart"></i> Health</h6>
				<div class="progress">
					<div class="progress-bar progress-bar-striped progress-bar-animated bg-success" style="width: <?php
echo $rowu['health'];
?>%;">
                        <?php
echo $rowu['health'];
?> / 100
					</div>
				</div><br />
			</div>
			<div class="col-md-1"></div>
		</div>
		</center>
	
		<div class="row">

<?php
$querypac     = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE player_id='$player_id' LIMIT 1");
$rowpac       = mysqli_fetch_assoc($querypac);
$countpac     = mysqli_num_rows($querypac);

$queryh = mysqli_query($mysqli, "SELECT * FROM `hospital` ORDER BY health_restore ASC");
while ($rowh = mysqli_fetch_assoc($queryh)) {
    
    $treatment_id = $rowh['id'];
?>
			<div class="col-md-6">
				<div class="card">
					<div class="card-header">
						<i class="fa <?php
    echo $rowh['fa_icon'];
?>"></i> <?php
    echo $rowh['treatment_type'];
?>
					</div>
					<div class="card-body">
						<ul class="list-group">
							<li class="list-group-item"><i class="fa fa-heart"></i> Health <span class="badge bg-success float-end">+<?php
    echo $rowh['health_restore'];
?></span></li>
							<li class="list-group-item"><i class="fas fa-clock"></i> Treatment Duration <span class="badge bg-info float-end"><?php
    echo $rowh['time'];
?> <?php
    echo $rowh['format'];
?></span></li>
							<li class="list-group-item"><i class="fa fa-dollar-sign"></i> Treatment Cost <span class="badge bg-warning float-end">$ <?php
    echo $rowh['cost'];
?></span></li>
						</ul>
					</div>
<?php
    if ($countpac > 0 && $rowpac['action_type'] == 'hospital' && $rowpac['action_id'] == $treatment_id && time() >= $rowpac['finishtime']) {
        echo '<a href="?finish-treatment=' . $rowh['id'] . '" class="btn btn-success btn-md col-12">
		          <i class="fa fa-check-square"></i> Finish Treatment
		      </a>';
    } else if ($countpac > 0 && $rowpac['action_type'] == 'hospital' && $rowpac['action_id'] == $treatment_id && time() < $rowpac['finishtime']) {
        $timeleft = secondsToWords($rowpac['finishtime'] - time());
        
        echo '<div class="row">
		          <div class="col-md-5">
		              <button class="btn btn-warning btn-md col-12 disabled">
		                  <em class="fas fa-fw fa-clock"></em> ' . $timeleft . '
		              </button>
		          </div>
                  <div class="col-md-3">
		              <a href="?speedup=' . $rowh['id'] . '" class="btn btn-success btn-md col-12" title="Speedup with ' . $rowh['gold_speedup'] . ' Gold">
		                  <i class="fas fa-forward"></i> Speedup
		              </a>
		          </div>
                  <div class="col-md-4">
		              <a href="?interrupt-treatment=' . $rowh['id'] . '" class="btn btn-info text-white btn-md col-12">
		                  <i class="fa fa-sign-out-alt"></i> Interrupt Treatment
		              </a>
		          </div>
		      </div>';
    } else if ($rowu['health'] == 100 || $rowu['money'] < $rowh['cost'] || $countpac > 0) {
        echo '<button class="btn btn-danger btn-md col-12" disabled>
		          <em class="fa fa-fw fa-user-md"></em> Start Treatment
		      </button>';
    } else {
        echo '<a href="?start-treatment=' . $rowh['id'] . '" class="btn btn-primary btn-md col-12">
		          <i class="fa fa-user-md"></i> Start Treatment
			  </a>';
    }
?>
				
				</div>
			</div>
		
<?php
}
?>
		</div>
	</div>
</div>
<?php
footer();
?>