<?php
require "core.php";
head();

$player_id = $rowu['id'];

if (isset($_GET['buyquay-id'])) {
    
    $buyquay_id = (int) $_GET['buyquay-id'];
    
    $queryqc = mysqli_query($mysqli, "SELECT * FROM `quays` WHERE id = '$buyquay_id' LIMIT 1");
    $countqc = mysqli_num_rows($queryqc);
    if ($countqc > 0) {
        $rowqc = mysqli_fetch_assoc($queryqc);
        
        if ($rowu['quay_id'] == $buyquay_id) {
            $owned = 'Yes';
        } else {
            $owned = 'No';
        }
        
        $money   = $rowqc['money'];
        $gold    = $rowqc['gold'];
        $respect = $rowqc['respect'];
        $vip     = $rowqc['vip'];
		
		if ($vip == "Yes" && $rowu['role'] != "VIP") {
			$vippr = "Yes";
		} else {
			$vippr = "No";
		}
		
        if ($rowu['money'] >= $rowqc['money'] && $rowu['gold'] >= $rowqc['gold'] && $rowu['level'] >= $rowqc['min_level'] && $owned == 'No' && $vippr == 'No') {
            
            $quay_upgrade = mysqli_query($mysqli, "UPDATE `players` SET money=money-'$money', gold=gold-'$gold', respect=respect+'$respect', quay_id = $buyquay_id WHERE id='$player_id'");
            
            echo '
        <script type="text/javascript">
            $(document).ready(function() {
                $("#quay-upgrade").modal(\'show\');
            });
        </script>

        <div id="quay-upgrade" class="modal fade">
            <div class="modal-dialog modal-md">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Quay Upgrade</h5>
						<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <center>
                            <h4><span class="badge bg-info">You successfully upgraded your quay</span></h4><br />
                            <div class="row">
                                <div class="col-md-4">
                                    <img src="images/icons/money.png" width="25%"><br />
                                    <h5>Money: <br /><hr /><span class="badge bg-secondary">- ' . $money . '</span></h5>
                                </div>
                                <div class="col-md-4">
                                    <img src="images/icons/gold1.png" width="25%"><br />
                                    <h5>Gold: <br /><hr /><span class="badge bg-secondary">- ' . $gold . '</span></h5>
                                </div>
                                <div class="col-md-4">
                                    <img src="images/icons/respect.png" width="25%"><br />
                                    <h5>Respect: <br /><hr /><span class="badge bg-secondary">+ ' . $respect . '</span></h5>
                                </div>
                            </div><br />
                            <button type="button" class="btn btn-success btn-md col-12" data-bs-dismiss="modal" aria-hidden="true"><i class="fab fa-get-pocket"></i> Okay</button>
                        </center>
                    </div>
                </div>
            </div>
        </div>';
            
        }
        
    }
}
?>
<div class="container-fluid">
	<div class="col-md-12 card bg-light card-body">

		<center><h4><i class="fa fa-arrow-circle-up"></i> Quay Upgrades</h4></center><br />

<?php
$queryqu = mysqli_query($mysqli, "SELECT * FROM quays ORDER BY money ASC");
while ($rowqu = mysqli_fetch_assoc($queryqu)) {
?>
    <div class="row">
        <div class="col-md-4">
		    <div class="card">
                <div class="card-header text-white bg-primary">
                    <i class="fa fa-ship"></i> Quay #<?php
    echo $rowqu['id'];
?> <?php
    if ($rowqu['vip'] == 'Yes') {
        echo '<span class="badge bg-warning float-end"><i class="fa fa-star" aria-hidden="true"></i> VIP Only</span>';
    }
?>
                </div>
                <div class="card-body">
                    <ul class="list-group">
                        <li class="list-group-item">
                            <i class="fa fa-dollar-sign"></i> Gold<span class="badge bg-primary float-end">- <?php
    echo $rowqu['money'];
?></span>
                        </li>
                        <li class="list-group-item">
                            <i class="fa fa-inbox"></i> Gold<span class="badge bg-warning float-end">- <?php
    echo $rowqu['gold'];
?></span>
                        </li>
                        <li class="list-group-item">
                            <i class="fa fa-server"></i> Minimum Level<span class="badge bg-info float-end"><?php
    echo $rowqu['min_level'];
?></span>
                        </li>
						<li class="list-group-item">
                            <i class="fa fa-star"></i> Respect<span class="badge bg-success float-end">+ <?php
    echo $rowqu['respect'];
?></span>
                        </li>
						<li class="list-group-item">
                            <i class="fa fa-plane"></i> Maximum Vehicles<span class="badge bg-danger float-end"><?php
    echo $rowqu['max_vehicles'];
?></span>
                        </li>
                    </ul>
<?php
    if ($rowu['quay_id'] == $rowqu['id']) {
        echo '<button class="btn btn-primary btn-md col-12" disabled>
		          <em class="fa fa-fw fa-check"></em> Owned
		      </button>';
    } else if ($rowu['money'] < $rowqu['money'] || $rowu['gold'] < $rowqu['gold'] || $rowu['level'] < $rowqu['min_level'] || $rowqu['vip'] == 'Yes' && $rowu['role'] != 'VIP') {
        echo '<button class="btn btn-danger btn-md col-12" disabled>
		          <em class="fa fa-fw fa-dollar-sign"></em> Buy
		      </button>';
    } else {
        echo '<a href="?buyquay-id=' . $rowqu['id'] . '" class="btn btn-success btn-md col-12">
		          <i class="fa fa-dollar-sign"></i> Buy
			  </a>';
    }
?>
					
                </div>
            </div>
		</div>
		
		<div class="col-md-8">
		    <div class="card">
                <div class="card-header text-white bg-primary">
                    <i class="fa fa-eye"></i> Preview
                </div>
<div class="card-body" style="background-image: url(<?php
    echo $rowqu['image'];
?>);  background-size: 100% 100%; background-repeat: no-repeat; height: 500px;">
                
                </div>
            </div><br />
		</div>
    </div>
<?php
}
?>
</div>
</div>
<?php
footer();
?>