<?php
require "core.php";
head();

$player_id = $rowu['id'];

$queryst = mysqli_query($mysqli, "SELECT * FROM `settings` WHERE id='1' LIMIT 1");
$rowst   = mysqli_fetch_assoc($queryst);

if (isset($_GET['start-education'])) {
    
    $subject_id = (int) $_GET['start-education'];
    
    $queryws = mysqli_query($mysqli, "SELECT * FROM `school` WHERE id = '$subject_id' LIMIT 1");
    $countws = mysqli_num_rows($queryws);
    if ($countws > 0) {
        $rowws = mysqli_fetch_assoc($queryws);
        
        $queryauc = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE player_id='$player_id' LIMIT 1");
        $countauc = mysqli_num_rows($queryauc);
        if ($countauc > 0) {
            $busy = 'Yes';
        } else {
            $busy = 'No';
        }
        
        $energy_cost = $rowws['energy_cost'];
        $fee         = $rowws['fee'];
        
        if ($rowws['format'] == "Hours") {
            $finishtime = time() + ($rowws['time'] * 3600);
        }
        if ($rowws['format'] == "Minutes") {
            $finishtime = time() + ($rowws['time'] * 60);
        }
        
        if ($rowu['energy'] >= $energy_cost && $rowu['money'] >= $fee && $busy == 'No') {
            
            $workout_start = mysqli_query($mysqli, "INSERT INTO `player_actions` (player_id, action_type, action_id, finishtime)
VALUES ('$player_id', 'school', '$subject_id', '$finishtime')");
            $player_update = mysqli_query($mysqli, "UPDATE `players` SET energy=energy-'$energy_cost', money=money-'$fee' WHERE id='$player_id'");
            
        }
    }
}

if (isset($_GET['interrupt-education'])) {
    $subject_id = (int) $_GET["interrupt-education"];
    
    $queryws = mysqli_query($mysqli, "SELECT * FROM `school` WHERE id='$subject_id' LIMIT 1");
    $countws = mysqli_num_rows($queryws);
    
    if ($countws > 0) {
        $rowws = mysqli_fetch_assoc($queryws);
        
        $energy_cost = $rowws['energy_cost'] / 2;
        $fee         = $rowws['fee'] / 2;
        
        $querypws = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE action_type='school' AND action_id='$subject_id' AND player_id='$player_id' LIMIT 1");
        $countpws = mysqli_num_rows($querypws);
        
        if ($countpws > 0) {
            $interrupt_education = mysqli_query($mysqli, "DELETE FROM `player_actions` WHERE action_type='school' AND player_id='$player_id'");
            $player_update       = mysqli_query($mysqli, "UPDATE `players` SET energy=energy+'$energy_cost', money=money+'$fee' WHERE id='$player_id'");
        }
    }
}

if (isset($_GET['speedup'])) {
    $sp_id = (int) $_GET["speedup"];
    
    $querysp = mysqli_query($mysqli, "SELECT * FROM `school` WHERE id='$sp_id' LIMIT 1");
    $countsp = mysqli_num_rows($querysp);
    
    if ($countsp > 0) {
        $rowsp = mysqli_fetch_assoc($querysp);

        $goldsp_cost = $rowsp['gold_speedup'];
        
        $queryasp = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE action_type='school' AND action_id='$sp_id' AND player_id='$player_id' LIMIT 1");
        $countasp = mysqli_num_rows($queryasp);
        
        if ($countasp> 0 && $rowu['gold'] >= $goldsp_cost) {
            $action_pay = mysqli_query($mysqli, "UPDATE `players` SET gold=gold-'$goldsp_cost' WHERE id='$player_id'");
            $action_update = mysqli_query($mysqli, "UPDATE `player_actions` SET `finishtime`='0' WHERE action_type='school' AND player_id='$player_id'");
        } 
        if ($rowu['gold'] < $goldsp_cost) {
            echo '<center><div class="alert alert-warning" role="alert">You do not have enough gold to speedup the task.</div></center>';
        }
    }
}

if (isset($_GET['finish-education'])) {
    
    $subject_id = (int) $_GET['finish-education'];
    
    $queryws = mysqli_query($mysqli, "SELECT * FROM `school` WHERE id = '$subject_id' LIMIT 1");
    $countws = mysqli_num_rows($queryws);
    if ($countws > 0) {
        $rowws = mysqli_fetch_assoc($queryws);
        
        $type = $rowws['subject'];
        
        $querypws = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE action_type='school' AND action_id='$subject_id' AND player_id='$player_id' LIMIT 1");
        $countpws = mysqli_num_rows($querypws);
        $rowpws   = mysqli_fetch_assoc($querypws);
        if ($countpws > 0) {
            $correct = 'Yes';
        } else {
            $correct = 'No';
        }
        
        $intelligence = $rowws['intelligence'];
        
        if ($correct == 'Yes' && time() >= $rowpws['finishtime']) {
            
            $education_finish = mysqli_query($mysqli, "DELETE FROM `player_actions` WHERE action_type='school' AND player_id='$player_id'");
            $finish_training  = mysqli_query($mysqli, "UPDATE `players` SET intelligence=intelligence+'$intelligence' WHERE id='$player_id'");
            
            echo '
        <script type="text/javascript">
            $(document).ready(function() {
                $("#finish-education").modal(\'show\');
            });
        </script>

        <div id="finish-education" class="modal fade">
            <div class="modal-dialog modal-md">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">End of the Education Course</h5>
						<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <center>
                            <h4><span class="badge bg-info">You have successfully finished the Education Course</span></h4><br />
                            <div class="row">
                                <div class="col-md-4"></div>
                                <div class="col-md-4">
                                    <h5><i class="fa fa-graduation-cap"></i>  Intelligence: <br /><hr /><span class="badge bg-secondary">+ ' . $intelligence . '</span></h5>
                                </div>
                                <div class="col-md-4"></div>
                            </div><br />
                            <button type="button" class="btn btn-success btn-md col-12" data-bs-dismiss="modal" aria-hidden="true"><i class="fab fa-get-pocket"></i> Okay</button>
                        </center>
                    </div>
                </div>
            </div>
        </div>';
            
        }
        
    }
}
?>
<div class="container-fluid">
	<div class="card">
		<div class="card-header text-white bg-primary">
			<i class="fa fa-graduation-cap"></i> School
		</div>
		<div class="card-body">
        
			<center><h4><i class="fa fa-graduation-cap"></i> School</h4></center>

			<div class="row">

<?php
$querypac   = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE player_id='$player_id' LIMIT 1");
$rowpac     = mysqli_fetch_assoc($querypac);
$countpac   = mysqli_num_rows($querypac);

$querys = mysqli_query($mysqli, "SELECT * FROM `school` ORDER BY intelligence ASC");
while ($rowsc = mysqli_fetch_assoc($querys)) {
    
    $subject_id = $rowsc['id'];
?>
				<div class="col-md-6 mt-4">
					<div class="card">
						<div class="card-header d-flex justify-content-center">
							<span class="fa-stack fa-md"><i class="fa fa-circle fa-stack-2x"></i><i class="fa <?php
    echo $rowsc['fa_icon'];
?> fa-stack-1x fa-inverse"></i></span>
            <?php
    echo $rowsc['subject'];
?>
						</div>

						<div class="card-body row">
							<div class="col-md-12">
								<ul class="list-group">
									<li class="list-group-item">
										<i class="fas fa-clock"></i> Lesson Duration<span class="badge bg-danger float-end"><?php
    echo $rowsc['time'];
?> <?php
    echo $rowsc['format'];
?></span>
									</li>
									<li class="list-group-item">
										<i class="fa fa-dollar-sign"></i> Education Fee<span class="badge bg-success float-end"><i class="fa fa-dollar-sign"></i> <?php
    echo $rowsc['fee'];
?></span>
									</li>
									<li class="list-group-item">
										<i class="fa fa-bolt"></i> Energy Cost<span class="badge bg-primary float-end"><?php
    echo $rowsc['energy_cost'];
?></span>
									</li>
								</ul><br />
                
								<h6><i class="fa fa-child"></i> Intelligence [+<?php
    echo $rowsc['intelligence'];
?>]</h6>
								<div class="progress">
									<div class="progress-bar bg-info" style="width: <?php
    echo percent($rowu['intelligence'], $rowst['max_intelligence']);
?>%;">
                        <?php
    echo $rowu['intelligence'];
?> / <?php
    echo $rowst['max_intelligence'];
?>
									</div>
									<div class="progress-bar bg-success" style="width: <?php
    echo percent($rowsc['intelligence'] + 1, $rowst['max_intelligence']);
?>%;"></div>
								</div>
							</div>
						</div>
<?php
    if ($countpac > 0 && $rowpac['action_type'] == 'school' && $rowpac['action_id'] == $subject_id && time() >= $rowpac['finishtime']) {
        echo '<a href="?finish-education=' . $rowsc['id'] . '" class="btn btn-success btn-md col-12">
		          <i class="fa fa-graduation-cap"></i> Finish Education
		      </a>';
    } else if ($countpac > 0 && $rowpac['action_type'] == 'school' && $rowpac['action_id'] == $subject_id && time() < $rowpac['finishtime']) {
        $timeleft = secondsToWords($rowpac['finishtime'] - time());
        
        echo '<div class="row">
		         <div class="col-md-5">
		             <button class="btn btn-warning btn-md col-12 disabled">
		                 <em class="fas fa-fw fa-clock"></em> ' . $timeleft . '
		             </button>
		         </div>
                 <div class="col-md-3">
		             <a href="?speedup=' . $rowsc['id'] . '" class="btn btn-success btn-md col-12" title="Speedup with ' . $rowsc['gold_speedup'] . ' Gold">
		                 <i class="fas fa-forward"></i> Speedup
		             </a>
		         </div>
                 <div class="col-md-4">
		             <a href="?interrupt-education=' . $rowsc['id'] . '" class="btn btn-info text-white btn-md col-12">
		                 <i class="fa fa-sign-out-alt"></i> Interrupt Education
		             </a>
		         </div>
		      </div>';
    } else if ($rowu['energy'] < $rowsc['energy_cost'] || $rowu['money'] < $rowsc['fee'] || $countpac > 0) {
        echo '<button class="btn btn-danger btn-md col-12" disabled>
		          <em class="fa fa-fw fa-graduation-cap"></em> Start Education
		      </button>';
    } else {
        echo '<a href="?start-education=' . $rowsc['id'] . '" class="btn btn-warning btn-md col-12">
		          <i class="fa fa-graduation-cap"></i> Start Education
		      </a>';
    }
?>
        </div>
    </div>
<?php
}
?>
			</div>
		</div>
	</div>
</div>
<?php
footer();
?>