<?php
require "core.php";
head();

$player_id = $rowu['id'];

if (isset($_GET['vehicleid'])) {
    
    $veh_id = (int) $_GET['vehicleid'];
    
    $queryvpc = mysqli_query($mysqli, "SELECT * FROM `player_vehicles` WHERE vehicle_id = '$veh_id' LIMIT 1");
    $countvpc = mysqli_num_rows($queryvpc);
    if ($countvpc > 0) {
        $rowvpc = mysqli_fetch_assoc($queryvpc);
        
        if (isset($_GET['speed'])) {
            $part = 'speed';
        } elseif (isset($_GET['acceleration'])) {
            $part = 'acceleration';
        } elseif (isset($_GET['stability'])) {
            $part = 'stability';
        } else {
            $part = '';
        }
        
        if ($part != '') {
            
            $part_upgrade = intval($rowvpc[$part] + ($rowvpc[$part] * 7));
            $respect      = 50;
            
            if ($rowu['money'] >= $part_upgrade && $rowvpc[$part] + 1 <= 500) {
                $part_pay    = mysqli_query($mysqli, "UPDATE `players` SET `money` = `money` - '$part_upgrade', respect=respect+'$respect' WHERE id='$player_id'");
                $veh_upgrade = mysqli_query($mysqli, "UPDATE `player_vehicles` SET $part = $part + 1 WHERE player_id='$player_id' AND vehicle_id='$veh_id'");
                
                echo '<div class="container-fluid col-md-12 alert alert-success"><strong><i class="fa fa-cog" aria-hidden="true"></i> Your vehicle was successfully upgraded</strong></div>';
                
            }
            
        }
        
    }
}
?>
<div class="container-fluid">
<div class="col-md-12 card bg-light card-body">

    <center><h4><i class="fa fa-wrench"></i> Vehicle Upgrades</h4></center>

<?php
$querypv = mysqli_query($mysqli, "SELECT * FROM `player_vehicles` WHERE player_id='$player_id' ORDER BY vehicle_id ASC");
while ($rowpv = mysqli_fetch_assoc($querypv)) {
    
    $vehicle_id = $rowpv['vehicle_id'];
    $querygv    = mysqli_query($mysqli, "SELECT * FROM `vehicles` WHERE id='$vehicle_id' LIMIT 1");
    $countgv    = mysqli_num_rows($querygv);
    
    if ($countgv > 0) {
        $rowgv       = mysqli_fetch_assoc($querygv);
        $category_id = $rowgv['category_id'];
        
        $speed_upgrade        = intval($rowpv['speed'] + ($rowpv['speed'] * 7));
        $acceleration_upgrade = intval($rowpv['acceleration'] + ($rowpv['acceleration'] * 7));
        $stability_upgrade    = intval($rowpv['stability'] + ($rowpv['stability'] * 7));
        
        $querygvc = mysqli_query($mysqli, "SELECT * FROM `vehicle_categories` WHERE id='$category_id' LIMIT 1");
        $rowgvc   = mysqli_fetch_assoc($querygvc);
?>
        <div class="col-md-12 card mt-4" id="<?php
        echo $rowpv['id'];
?>">
        <div class="card-header">
		    <span class="fa-stack fa-md"><i class="fa fa-circle fa-stack-2x"></i><i class="fa <?php
        echo $rowgvc['fa_icon'];
?> fa-stack-1x fa-inverse"></i></span> <?php
        echo $rowgvc['category'];
?>
		</div>
		
		<div class="card-body row">
            <div class="col-md-6">
                <center><img src="<?php
        echo $rowgv['image'];
?>" width="65%"></center>
            </div>
            <div class="col-md-6">
                <div class="row">
				    <div class="col-md-6">
					    <h6><i class="fa fa-bolt"></i> Speed</h6>
					</div>
					<div class="col-md-6">
					    <div class="float-end">
<?php
        if (($rowpv['speed'] + 1) > 500) {
            echo '<button class="btn btn-primary btn-sm col-12" disabled>
			          <em class="fa fa-fw fa-check"></em> Maxed
			      </button>';
        } elseif ($rowu['money'] < $speed_upgrade) {
            echo '<button class="btn btn-danger btn-sm col-12" disabled>
			          <i class="fa fa-wrench"></i> Upgrade [ <b>$ ' . $speed_upgrade . '</b> ]
				  </button>';
        } else {
            echo '<a href="?vehicleid=' . $vehicle_id . '&speed#' . $rowpv['id'] . '" class="btn btn-sm btn-success">
			          <i class="fa fa-wrench"></i> Upgrade [ <b>$ ' . $speed_upgrade . '</b> ]
			      </a>';
        }
?>
						</div>
					</div>
				</div>
                <div class="progress mb-3">
                    <div class="progress-bar bg-primary" style="width: <?php
        echo percent($rowpv['speed'], 500);
?>%;">
                        <?php
        echo $rowpv['speed'];
?> / 500
                    </div><div class="progress-bar bg-info" style="width: 1%;"></div>
                </div><br />
				
				<div class="row">
				    <div class="col-md-6">
					    <h6><i class="fa fa-tachometer-alt"></i> Acceleration</h6>
					</div>
					<div class="col-md-6">
					    <div class="float-end">
<?php
        if (($rowpv['acceleration'] + 1) > 500) {
            echo '<button class="btn btn-primary btn-sm col-12" disabled>
			          <em class="fa fa-fw fa-check"></em> Maxed
				  </button>';
        } elseif ($rowu['money'] < $acceleration_upgrade) {
            echo '<button class="btn btn-danger btn-sm col-12" disabled>
			          <i class="fa fa-wrench"></i> Upgrade [ <b>$ ' . $acceleration_upgrade . '</b> ]
			      </button>';
        } else {
            echo '<a href="?vehicleid=' . $vehicle_id . '&acceleration#' . $rowpv['id'] . '" class="btn btn-sm btn-success">
			          <i class="fa fa-wrench"></i> Upgrade [ <b>$ ' . $acceleration_upgrade . '</b> ]
			      </a>';
        }
?>
						</div>
					</div>
				</div>
                
				<div class="progress mb-3">
                    <div class="progress-bar bg-danger" style="width: <?php
        echo percent($rowpv['acceleration'], 500);
?>%;">
                        <?php
        echo $rowpv['acceleration'];
?> / 500
                    </div><div class="progress-bar bg-info" style="width: 1%;"></div>
                </div><br />
				
				<div class="row">
				    <div class="col-md-6">
					    <h6><i class="fa fa-snowflake"></i> Stability</h6>
					</div>
					<div class="col-md-6">
					    <div class="float-end">
<?php
        if (($rowpv['stability'] + 1) > 500) {
            echo '<button class="btn btn-primary btn-sm col-12" disabled>
			          <em class="fa fa-fw fa-check"></em> Maxed
				  </button>';
        } elseif ($rowu['money'] < $stability_upgrade) {
            echo '<button class="btn btn-danger btn-sm col-12" disabled>
			          <i class="fa fa-wrench"></i> Upgrade [ <b>$ ' . $stability_upgrade . '</b> ]
			      </button>';
        } else {
            echo '<a href="?vehicleid=' . $vehicle_id . '&stability#' . $rowpv['id'] . '" class="btn btn-sm btn-success">
			          <i class="fa fa-wrench"></i> Upgrade [ <b>$ ' . $stability_upgrade . '</b> ]
			      </a>';
        }
?>
						</div>
					</div>
				</div>
                <div class="progress mb-3">
                    <div class="progress-bar bg-warning" style="width: <?php
        echo percent($rowpv['stability'], 500);
?>%;">
                        <?php
        echo $rowpv['stability'];
?> / 500
                    </div>
                    <div class="progress-bar bg-info" style="width: 1%;"></div>
                </div>
            </div>
			</div>
		</div>
<?php
    }
}
?>
</div>
</div>
<?php
footer();
?>