<?php
require "core.php";
head();

$player_id = $rowu['id'];

$queryst = mysqli_query($mysqli, "SELECT * FROM `settings` WHERE id='1' LIMIT 1");
$rowst   = mysqli_fetch_assoc($queryst);

if (isset($_GET['start-workout'])) {
    
    $workout_id = (int) $_GET['start-workout'];
    
    $queryws = mysqli_query($mysqli, "SELECT * FROM `gym` WHERE id = '$workout_id' LIMIT 1");
    $countws = mysqli_num_rows($queryws);
    if ($countws > 0) {
        $rowws = mysqli_fetch_assoc($queryws);
        
        $queryauc = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE player_id='$player_id' LIMIT 1");
        $countauc = mysqli_num_rows($queryauc);
        if ($countauc > 0) {
            $busy = 'Yes';
        } else {
            $busy = 'No';
        }
        
        $energy_cost = $rowws['energy_cost'];
        $fee         = $rowws['fee'];
        
        if ($rowws['format'] == "Hours") {
            $finishtime = time() + ($rowws['time'] * 3600);
        }
        if ($rowws['format'] == "Minutes") {
            $finishtime = time() + ($rowws['time'] * 60);
        }
        
        if ($rowu['energy'] >= $energy_cost && $rowu['money'] >= $fee && $busy == 'No') {
            
            $workout_start = mysqli_query($mysqli, "INSERT INTO `player_actions` (player_id, action_type, action_id, finishtime)
VALUES ('$player_id', 'gym', '$workout_id', '$finishtime')");
            $player_update = mysqli_query($mysqli, "UPDATE `players` SET energy=energy-'$energy_cost', money=money-'$fee' WHERE id='$player_id'");
            
        }
    }
}

if (isset($_GET['interrupt-training'])) {
    $workout_id = (int) $_GET["interrupt-training"];
    
    $queryws = mysqli_query($mysqli, "SELECT * FROM `gym` WHERE id='$workout_id' LIMIT 1");
    $countws = mysqli_num_rows($queryws);
    
    if ($countws > 0) {
        $rowws = mysqli_fetch_assoc($queryws);

        $energy_cost = $rowws['energy_cost'] / 2;
        $fee         = $rowws['fee'] / 2;
        
        $querypws = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE action_type='gym' AND action_id='$workout_id' AND player_id='$player_id' LIMIT 1");
        $countpws = mysqli_num_rows($querypws);
        
        if ($countpws > 0) {
            $interrupt_workout = mysqli_query($mysqli, "DELETE FROM `player_actions` WHERE action_type='gym' AND player_id='$player_id'");
            $player_update     = mysqli_query($mysqli, "UPDATE `players` SET energy=energy+'$energy_cost', money=money+'$fee' WHERE id='$player_id'");
        }
    }
}

if (isset($_GET['speedup'])) {
    $sp_id = (int) $_GET["speedup"];
    
    $querysp = mysqli_query($mysqli, "SELECT * FROM `gym` WHERE id='$sp_id' LIMIT 1");
    $countsp = mysqli_num_rows($querysp);
    
    if ($countsp > 0) {
        $rowsp = mysqli_fetch_assoc($querysp);

        $goldsp_cost = $rowsp['gold_speedup'];
        
        $queryasp = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE action_type='gym' AND action_id='$sp_id' AND player_id='$player_id' LIMIT 1");
        $countasp = mysqli_num_rows($queryasp);
        
        if ($countasp> 0 && $rowu['gold'] >= $goldsp_cost) {
            $action_pay = mysqli_query($mysqli, "UPDATE `players` SET gold=gold-'$goldsp_cost' WHERE id='$player_id'");
            $action_update = mysqli_query($mysqli, "UPDATE `player_actions` SET `finishtime`='0' WHERE action_type='gym' AND player_id='$player_id'");
        } 
        if ($rowu['gold'] < $goldsp_cost) {
            echo '<center><div class="alert alert-warning" role="alert">You do not have enough gold to speedup the task.</div></center>';
        }
    }
}

if (isset($_GET['finish-workout'])) {
    
    $workout_id = (int) $_GET['finish-workout'];
    
    $queryws = mysqli_query($mysqli, "SELECT * FROM `gym` WHERE id = '$workout_id' LIMIT 1");
    $countws = mysqli_num_rows($queryws);
    if ($countws > 0) {
        $rowws = mysqli_fetch_assoc($queryws);
        
        $querypws = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE action_type = 'gym' AND action_id='$workout_id' AND player_id='$player_id' LIMIT 1");
        $countpws = mysqli_num_rows($querypws);
        $rowpws   = mysqli_fetch_assoc($querypws);
        if ($countpws > 0) {
            $correct = 'Yes';
        } else {
            $correct = 'No';
        }
        
        $health_restore = $rowws['health_restore'];
        $power          = $rowws['power'];
        $agility        = $rowws['agility'];
        $endurance      = $rowws['endurance'];
        
        if ($correct == 'Yes' && time() >= $rowpws['finishtime']) {
            
            $training_finish = mysqli_query($mysqli, "DELETE FROM `player_actions` WHERE action_type='gym' AND player_id='$player_id'");
            $finish_training = mysqli_query($mysqli, "UPDATE `players` SET health=health+'$health_restore', power=power+'$power', agility=agility+'$agility', endurance=endurance+'$endurance' WHERE id='$player_id'");
            
            echo '
        <script type="text/javascript">
            $(document).ready(function() {
                $("#finish-workout").modal(\'show\');
            });
        </script>

        <div id="finish-workout" class="modal fade">
            <div class="modal-dialog modal-md">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">End of the Workout</h5>
						<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <center>
                            <h4><span class="badge bg-info">You have successfully finished the workout</span></h4><br />
                            <div class="row">
                                <div class="col-md-12">
                                    <img src="images/icons/health.png" width="15%"><br />
                                    <h5>Health: <br /><hr /><span class="badge bg-secondary">+ ' . $health_restore . '</span></h5>
                                </div>
                            </div><br />
                            <div class="row">
                                <div class="col-md-4">
                                    <h5>Power: <br /><hr /><span class="badge bg-secondary">+ ' . $power . '</span></h5>
                                </div>
                                <div class="col-md-4">
                                    <h5>Agility: <br /><hr /><span class="badge bg-secondary">+ ' . $agility . '</span></h5>
                                </div>
                                <div class="col-md-4">
                                    <h5>Endurance: <br /><hr /><span class="badge bg-secondary">+ ' . $endurance . '</span></h5>
                                </div>
                            </div><br />
                            <button type="button" class="btn btn-success btn-md col-12" data-bs-dismiss="modal" aria-hidden="true"><i class="fab fa-get-pocket"></i> Okay</button>
                        </center>
                    </div>
                </div>
            </div>
        </div>';
            
        }
        
    }
}
?>
<div class="container-fluid">
	<div class="card">
		<div class="card-header text-white bg-primary">
			<i class="fas fa-dumbbell"></i> Gym
		</div>
		<div class="card-body">
        
			<center><h4><i class="fas fa-dumbbell"></i> Gym</h4></center>

<?php
$querypac   = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE player_id='$player_id' LIMIT 1");
$rowpac     = mysqli_fetch_assoc($querypac);
$countpac   = mysqli_num_rows($querypac);

$queryg = mysqli_query($mysqli, "SELECT * FROM `gym` ORDER BY power ASC");
while ($rowg = mysqli_fetch_assoc($queryg)) {
    
    $workout_id = $rowg['id'];
?>
    <div class="col-md-12 card mt-4">
        <div class="card-header d-flex justify-content-center"><b>
			<span class="fa-stack fa-md"><i class="fa fa-circle fa-stack-2x"></i><i class="fa fa-male fa-stack-1x fa-inverse"></i></span>
<?php
    echo $rowg['workout_type'];
?>
		</b></div>
        
        <div class="card-body row">
            <div class="col-md-6">
                <ul class="list-group">
                    <li class="list-group-item">
                        <i class="fas fa-clock"></i> Training Duration<span class="badge bg-danger float-end"><?php
    echo $rowg['time'];
?> <?php
    echo $rowg['format'];
?></span>
                    </li>
                    <li class="list-group-item">
                        <i class="fa fa-credit-card"></i> Fitness Card - Fee<span class="badge bg-warning float-end"><i class="fa fa-dollar-sign"></i> <?php
    echo $rowg['fee'];
?></span>
                    </li>
                    <li class="list-group-item">
                        <i class="fa fa-bolt"></i> Energy Cost<span class="badge bg-primary float-end"><?php
    echo $rowg['energy_cost'];
?></span>
                    </li>
                    <li class="list-group-item">
                        <i class="fa fa-heartbeat"></i> Health Restore<span class="badge bg-success float-end">+ <?php
    echo $rowg['health_restore'];
?></span>
                    </li>
                </ul>
            </div>
            <div class="col-md-6">
                <h6><i class="fa fa-child"></i> Power [+<?php
    echo $rowg['power'];
?>]</h6>
                <div class="progress mb-3">
                    <div class="progress-bar bg-warning" style="width: <?php
    echo percent($rowu['power'], $rowst['max_power']);
?>%;">
                        <?php
    echo $rowu['power'];
?> / <?php
    echo $rowst['max_power'];
?>
                    </div>
					<div class="progress-bar bg-info" style="width: <?php
    echo percent($rowg['power'] + 1, $rowst['max_power']);
?>%;"></div>
                </div>
                <h6><i class="fa fa-retweet"></i> Agility [+<?php
    echo $rowg['agility'];
?>]</h6>
                <div class="progress mb-3">
                    <div class="progress-bar bg-danger" style="width: <?php
    echo percent($rowu['agility'], $rowst['max_agility']);
?>%;">
                        <?php
    echo $rowu['agility'];
?> / <?php
    echo $rowst['max_agility'];
?>
                    </div>
					<div class="progress-bar bg-info" style="width: <?php
    echo percent($rowg['agility'] + 1, $rowst['max_agility']);
?>%;"></div>
                </div>
                <h6><i class="fa fa-heartbeat"></i> Endurance [+<?php
    echo $rowg['endurance'];
?>]</h6>
                <div class="progress mb-3">
                    <div class="progress-bar bg-success" style="width: <?php
    echo percent($rowu['endurance'], $rowst['max_endurance']);
?>%;">
                        <?php
    echo $rowu['endurance'];
?> / <?php
    echo $rowst['max_endurance'];
?>
                    </div>
                    <div class="progress-bar bg-info" style="width: <?php
    echo percent($rowg['endurance'] + 1, $rowst['max_endurance']);
?>%;"></div>
                </div>
            </div>
        </div>
<?php
    if ($countpac > 0 && $rowpac['action_type'] == 'gym' && $rowpac['action_id'] == $workout_id && time() >= $rowpac['finishtime']) {
        echo '<a href="?finish-workout=' . $rowg['id'] . '" class="btn btn-success btn-md col-12">
		         <i class="fa fa-street-view"></i> Finish Workout
			  </a>';
    } else if ($countpac > 0 && $rowpac['action_type'] == 'gym' && $rowpac['action_id'] == $workout_id && time() < $rowpac['finishtime']) {
        $timeleft = secondsToWords($rowpac['finishtime'] - time());
        
        echo '<div class="row">
		          <div class="col-md-5">
		              <button class="btn btn-warning btn-md col-12 disabled">
					      <em class="fas fa-fw fa-clock"></em> ' . $timeleft . '
					  </button>
				  </div>
                  <div class="col-md-3">
		              <a href="?speedup=' . $rowg['id'] . '" class="btn btn-success btn-md col-12" title="Speedup with ' . $rowg['gold_speedup'] . ' Gold">
		                  <i class="fas fa-forward"></i> Speedup
		              </a>
		          </div>
                  <div class="col-md-4">
		              <a href="?interrupt-training=' . $rowg['id'] . '" class="btn btn-info text-white btn-md col-12">
		                  <i class="fa fa-sign-out-alt"></i> Interrupt Training
		              </a>
		          </div>
		      </div>';
    } else if ($rowu['energy'] < $rowg['energy_cost'] || $rowu['money'] < $rowg['fee'] || $countpac > 0) {
        echo '<button class="btn btn-danger btn-md col-12" disabled>
		          <em class="fa fa-fw fa-street-view"></em> Start Workout
		      </button>';
    } else {
        echo '<a href="?start-workout=' . $rowg['id'] . '" class="btn btn-primary btn-md col-12">
		          <i class="fa fa-street-view"></i> Start Workout
		      </a>';
    }
?>
    </div>
<?php
}
?>
		</div>
	</div>
</div>
<?php
footer();
?>