<?php
require "core.php";
head();

$player_id = $rowu['id'];

if (isset($_GET['buyhangar-id'])) {
    
    $buyhangar_id = (int) $_GET['buyhangar-id'];
    
    $queryhc = mysqli_query($mysqli, "SELECT * FROM `hangars` WHERE id = '$buyhangar_id' LIMIT 1");
    $counthc = mysqli_num_rows($queryhc);
    if ($counthc > 0) {
        $rowhc = mysqli_fetch_assoc($queryhc);
        
        if ($rowu['hangar_id'] == $buyhangar_id) {
            $owned = 'Yes';
        } else {
            $owned = 'No';
        }
        
        $money   = $rowhc['money'];
        $gold    = $rowhc['gold'];
        $respect = $rowhc['respect'];
        $vip     = $rowhc['vip'];
		
		if ($vip == "Yes" && $rowu['role'] != "VIP") {
			$vippr = "Yes";
		} else {
			$vippr = "No";
		}
		
        if ($rowu['money'] >= $rowhc['money'] && $rowu['gold'] >= $rowhc['gold'] && $rowu['level'] >= $rowhc['min_level'] && $owned == 'No' && $vippr == 'No') {
            
            $hangar_upgrade = mysqli_query($mysqli, "UPDATE `players` SET money=money-'$money', gold=gold-'$gold', respect=respect+'$respect', hangar_id = $buyhangar_id WHERE id='$player_id'");
            
            echo '
        <script type="text/javascript">
            $(document).ready(function() {
                $("#hangar-upgrade").modal(\'show\');
            });
        </script>

        <div id="hangar-upgrade" class="modal fade">
            <div class="modal-dialog modal-md">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Hangar Upgrade</h5>
						<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <center>
                            <h4><span class="badge bg-info">You successfully upgraded your hangar</span></h4><br />
                            <div class="row">
                                <div class="col-md-4">
                                    <img src="images/icons/money.png" width="45%"><br />
                                    <h5>Money: <br /><hr /><span class="badge bg-secondary">- ' . $money . '</span></h5>
                                </div>
                                <div class="col-md-4">
                                    <img src="images/icons/gold1.png" width="45%"><br />
                                    <h5>Gold: <br /><hr /><span class="badge bg-secondary">- ' . $gold . '</span></h5>
                                </div>
                                <div class="col-md-4">
                                    <img src="images/icons/respect.png" width="45%"><br />
                                    <h5>Respect: <br /><hr /><span class="badge bg-secondary">+ ' . $respect . '</span></h5>
                                </div>
                            </div><br />
                            <button type="button" class="btn btn-success btn-md col-12" data-bs-dismiss="modal" aria-hidden="true"><i class="fab fa-get-pocket"></i> Okay</button>
                        </center>
                    </div>
                </div>
            </div>
        </div>';
            
        }
        
    }
}
?>
<div class="container-fluid">
	<div class="col-md-12 card bg-light card-body">

		<center><h4><i class="fa fa-arrow-circle-up"></i> Hangar Upgrades</h4></center><br />

<?php
$queryhu = mysqli_query($mysqli, "SELECT * FROM hangars ORDER BY money ASC");
while ($rowhu = mysqli_fetch_assoc($queryhu)) {
?>
    <div class="row">
        <div class="col-md-4">
		    <div class="card">
                <div class="card-header text-white bg-primary">
                    <i class="fa fa-plane"></i> Hangar #<?php
    echo $rowhu['id'];
?> <?php
    if ($rowhu['vip'] == 'Yes') {
        echo '<span class="badge bg-warning float-end"><i class="fa fa-star" aria-hidden="true"></i>  VIP Only</span>';
    }
?>
                </div>
                <div class="card-body">
                    <ul class="list-group">
                        <li class="list-group-item">
                            <i class="fa fa-dollar-sign"></i> Gold<span class="badge bg-primary float-end">- <?php
    echo $rowhu['money'];
?></span>
                        </li>
                        <li class="list-group-item">
                            <i class="fa fa-inbox"></i> Gold<span class="badge bg-warning float-end">- <?php
    echo $rowhu['gold'];
?></span>
                        </li>
                        <li class="list-group-item">
                            <i class="fa fa-server"></i> Minimum Level<span class="badge bg-info float-end"><?php
    echo $rowhu['min_level'];
?></span>
                        </li>
						<li class="list-group-item">
                            <i class="fa fa-star"></i> Respect<span class="badge bg-success float-end">+ <?php
    echo $rowhu['respect'];
?></span>
                        </li>
						<li class="list-group-item">
                            <i class="fa fa-plane"></i> Maximum Vehicles<span class="badge bg-danger float-end"><?php
    echo $rowhu['max_vehicles'];
?></span>
                        </li>
                    </ul>
<?php
    if ($rowu['hangar_id'] == $rowhu['id']) {
        echo '<button class="btn btn-primary btn-md col-12" disabled>
		          <em class="fa fa-fw fa-check"></em> Owned
		      </button>';
    } else if ($rowu['money'] < $rowhu['money'] || $rowu['gold'] < $rowhu['gold'] || $rowu['level'] < $rowhu['min_level'] || $rowhu['vip'] == 'Yes' && $rowu['role'] != 'VIP') {
        echo '<button class="btn btn-danger btn-md col-12" disabled>
		          <em class="fa fa-fw fa-dollar-sign"></em> Buy
		      </button>';
    } else {
        echo '<a href="?buyhangar-id=' . $rowhu['id'] . '" class="btn btn-success btn-md col-12">
		          <i class="fa fa-dollar-sign"></i> Buy
		      </a>';
    }
?>
					
                </div>
            </div>
		</div>
		
		<div class="col-md-8">
		    <div class="card">
                <div class="card-header text-white bg-primary">
                    <i class="fa fa-eye"></i> Preview
                </div>
<div class="card-body" style="background-image: url(<?php
    echo $rowhu['image'];
?>);  background-size: 100% 100%; background-repeat: no-repeat; height: 500px;">
                
                </div>
            </div><br />
		</div>
    </div>
<?php
}
?>
</div>
</div>
<?php
footer();
?>