<?php
require "core.php";
head();

$player_id = $rowu['id'];

if (isset($_GET['job-id'])) {
    
    $job_id = (int) $_GET['job-id'];
    
    $queryjs = mysqli_query($mysqli, "SELECT * FROM `jobs` WHERE id = '$job_id' LIMIT 1");
    $countjs = mysqli_num_rows($queryjs);
    if ($countjs > 0) {
        $rowjs = mysqli_fetch_assoc($queryjs);
        
        $queryauc = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE player_id='$player_id' LIMIT 1");
        $countauc = mysqli_num_rows($queryauc);
        if ($countauc > 0) {
            $busy = 'Yes';
        } else {
            $busy = 'No';
        }

        $energy_cost = $rowjs['energy_cost'];
        $health_loss = $rowjs['health_loss'];
        
        if ($rowjs['format'] == "Hours") {
            $finishtime = time() + ($rowjs['time'] * 3600);
        }
        if ($rowjs['format'] == "Minutes") {
            $finishtime = time() + ($rowjs['time'] * 60);
        }
        
        if ($rowu['energy'] >= $energy_cost && $rowu['health'] >= $health_loss && $busy == 'No') {
            
            $job_start     = mysqli_query($mysqli, "INSERT INTO `player_actions` (player_id, action_type, action_id, finishtime)
VALUES ('$player_id', 'job', '$job_id', '$finishtime')");
            $player_update = mysqli_query($mysqli, "UPDATE `players` SET energy=energy-'$energy_cost', health=health-'$health_loss' WHERE id='$player_id'");
            
        }
    }
}

if (isset($_GET['leave-work'])) {
    $jobl_id = (int) $_GET["leave-work"];
    
    $queryjs = mysqli_query($mysqli, "SELECT * FROM `jobs` WHERE id='$jobl_id' LIMIT 1");
    $countjs = mysqli_num_rows($queryjs);
    
    if ($countjs > 0) {
        $rowjs = mysqli_fetch_assoc($queryjs);

        $energy_cost = $rowjs['energy_cost'] / 2;
        $health_loss = $rowjs['health_loss'] / 2;
        
        $querypjs = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE action_type='job' AND action_id='$jobl_id' AND player_id='$player_id' LIMIT 1");
        $countpjs = mysqli_num_rows($querypjs);
        
        if ($countpjs > 0) {
            $leave_work    = mysqli_query($mysqli, "DELETE FROM `player_actions` WHERE action_type='job' AND player_id='$player_id'");
            $player_update = mysqli_query($mysqli, "UPDATE `players` SET energy=energy+'$energy_cost', health=health+'$health_loss' WHERE id='$player_id'");
        }
    }
}

if (isset($_GET['speedup'])) {
    $sp_id = (int) $_GET["speedup"];
    
    $querysp = mysqli_query($mysqli, "SELECT * FROM `jobs` WHERE id='$sp_id' LIMIT 1");
    $countsp = mysqli_num_rows($querysp);
    
    if ($countsp > 0) {
        $rowsp = mysqli_fetch_assoc($querysp);

        $goldsp_cost = $rowsp['gold_speedup'];
        
        $queryasp = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE action_type='job' AND action_id='$sp_id' AND player_id='$player_id' LIMIT 1");
        $countasp = mysqli_num_rows($queryasp);
        
        if ($countasp> 0 && $rowu['gold'] >= $goldsp_cost) {
            $action_pay = mysqli_query($mysqli, "UPDATE `players` SET gold=gold-'$goldsp_cost' WHERE id='$player_id'");
            $action_update = mysqli_query($mysqli, "UPDATE `player_actions` SET `finishtime`='0' WHERE action_type='job' AND player_id='$player_id'");
        } 
        if ($rowu['gold'] < $goldsp_cost) {
            echo '<center><div class="alert alert-warning" role="alert">You do not have enough gold to speedup the task.</div></center>';
        }
    }
}

if (isset($_GET['finish-work'])) {
    
    $job_id = (int) $_GET['finish-work'];
    
    $queryjs = mysqli_query($mysqli, "SELECT * FROM `jobs` WHERE id = '$job_id' LIMIT 1");
    $countjs = mysqli_num_rows($queryjs);
    if ($countjs > 0) {
        $rowjs = mysqli_fetch_assoc($queryjs);
        
        $type = $rowjs['job_type'];
        
        $querypjs = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE action_type='job' AND action_id='$job_id' AND player_id='$player_id' LIMIT 1");
        $countpjs = mysqli_num_rows($querypjs);
        $rowpjs   = mysqli_fetch_assoc($querypjs);
        if ($countpjs > 0) {
            $correct = 'Yes';
        } else {
            $correct = 'No';
        }
        
        $money = $rowjs['money'];
        $gold  = $rowjs['gold'];
        
        if ($correct == 'Yes' && time() >= $rowpjs['finishtime']) {
            
            $leave_work = mysqli_query($mysqli, "DELETE FROM `player_actions` WHERE action_type='job' AND player_id='$player_id'");
            $get_salary = mysqli_query($mysqli, "UPDATE `players` SET money=money+'$money', gold=gold+'$gold', respect=respect+250 WHERE id='$player_id'");
            
            echo '
        <script type="text/javascript">
            $(document).ready(function() {
                $("#get-salary").modal(\'show\');
            });
        </script>

        <div id="get-salary" class="modal fade">
            <div class="modal-dialog modal-md">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">End of the Working Day</h5>
						<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <center>
                            <h4><span class="badge bg-info">You finished work and receive salary</span></h4><br />
                            <div class="row">
                                <div class="col-md-6">
                                    <img src="images/icons/money.png" width="20%"><br />
                                    <h5>Money: <br /><hr /><span class="badge bg-secondary">+ ' . $money . '</span></h5>
                                </div>
                                <div class="col-md-6">
                                    <img src="images/icons/gold1.png" width="20%"><br />
                                    <h5>Gold: <br /><hr /><span class="badge bg-secondary">+ ' . $gold . '</span></h5>
                                </div>
                            </div><br />
                            <button type="button" class="btn btn-success btn-md col-12" data-bs-dismiss="modal" aria-hidden="true"><i class="fab fa-get-pocket"></i> Claim</button>
                        </center>
                    </div>
                </div>
            </div>
        </div>';
            
        }
        
    }
}
?>
<div class="container-fluid">
	<div class="card">
		<div class="card-header text-white bg-primary">
			<i class="fa fa-briefcase"></i> Work
		</div>
		<div class="card-body">
			<center><h4><i class="fa fa-list-ul"></i> Jobs</h4></center>

			<div class="row">
<?php
$querypac = mysqli_query($mysqli, "SELECT * FROM `player_actions` WHERE player_id='$player_id' LIMIT 1");
$rowpac   = mysqli_fetch_assoc($querypac);
$countpac = mysqli_num_rows($querypac);

$queryj = mysqli_query($mysqli, "SELECT * FROM `jobs` ORDER BY money ASC");
while ($rowj = mysqli_fetch_assoc($queryj)) {
    
    $job_id   = $rowj['id'];
?>
				<div class="col-md-6 mt-4">
					<div class="card">
						<div class="card-header">
							<h5><i class="fa fa-briefcase"></i> <?php
    echo $rowj['job_type'];
?></h5>
                        </div> 
                        <div class="card-body">
							<div class="row">
								<div class="col-md-6 d-flex justify-content-center">
									<h6><i class="fa fa-bolt"></i> Energy Cost: <span class="badge bg-primary"><?php
    echo $rowj['energy_cost'];
?></span></h6>
								</div>
								<div class="col-md-6 d-flex justify-content-center">
									<h6><i class="fa fa-heartbeat"></i> Health Loss: <span class="badge bg-danger"><?php
    echo $rowj['health_loss'];
?></span></h6>
								</div>
							</div>
							<br />

							<ul class="list-group">
								<li class="list-group-item">
									<i class="fas fa-clock"></i> Work Time<span class="badge bg-danger float-end"><?php
    echo $rowj['time'];
?> <?php
    echo $rowj['format'];
?></span>
								</li>
								<li class="list-group-item">
									<i class="fa fa-dollar-sign"></i> Salary<span class="badge bg-success float-end">+ <?php
    echo $rowj['money'];
?></span>
								</li>
								<li class="list-group-item">
									<i class="fa fa-plus-circle"></i> Gold Reward<span class="badge bg-warning float-end">+ <?php
    echo $rowj['gold'];
?></span>
								</li>
							</ul>
							
<?php
    if ($countpac > 0 && $rowpac['action_type'] == 'job' && $rowpac['action_id'] == $job_id && time() >= $rowpac['finishtime']) {
        echo '<a href="?finish-work=' . $rowj['id'] . '" class="btn btn-success btn-md col-12">
		          <i class="far fa-money-bill-alt"></i> Get Salary
			  </a>';
    } else if ($countpac > 0 && $rowpac['action_type'] == 'job' && $rowpac['action_id'] == $job_id && time() < $rowpac['finishtime']) {
        $timeleft = secondsToWords($rowpac['finishtime'] - time());
        
        echo '<div class="row">
			      <div class="col-md-5">
		              <button class="btn btn-warning btn-md col-12 disabled">
					      <em class="fas fa-fw fa-clock"></em> ' . $timeleft . '
					  </button>
				  </div>
                 <div class="col-md-3">
				     <a href="?speedup=' . $rowj['id'] . '" class="btn btn-success btn-md col-12" title="Speedup with ' . $rowj['gold_speedup'] . ' Gold">
					     <i class="fas fa-forward"></i> Speedup
				     </a>
				 </div>
                 <div class="col-md-4">
				     <a href="?leave-work=' . $rowj['id'] . '" class="btn btn-info text-white btn-md col-12">
					     <i class="fa fa-sign-out-alt"></i> Leave Work
					 </a>
				 </div>
			  </div>';
    } else if ($rowu['energy'] < $rowj['energy_cost'] || $rowu['health'] < $rowj['health_loss'] || $countpac > 0) {
        echo '<button class="btn btn-danger btn-md col-12" disabled>
		          <em class="fa fa-fw fa-cogs"></em> Start Work
			  </button>';
    } else {
        echo '<a href="?job-id=' . $rowj['id'] . '" class="btn btn-info text-white btn-md col-12">
		          <i class="fa fa-cogs"></i> Start Work
			  </a>';
    }
?>               
						</div>
					</div>
				</div>
<?php
}
?>
        </div>

		</div>
	</div>
</div>
<?php
footer();
?>